/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-06-15 06:41:04 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=522 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=635 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=310 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("1", "1", "A WordPress Commenter", "wapuu@wordpress.example", "https://wordpress.org/", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "Hi, this is a comment.\nTo get started with moderating, editing, and deleting comments, please visit the Comments screen in the dashboard.\nCommenter avatars come from <a href=\"https://en.gravatar.com/\">Gravatar</a>.", "0", "post-trashed", "", "comment", "0", "0");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("9", "km_general_use_starter_summer_2023", "6a85b244b84e77221202_20230615064058", "22", "2023-06-15 06:41:04", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-15 06:40:58\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:9;s:4:\"Name\";s:34:\"km_general_use_starter_summer_2023\";s:4:\"Hash\";s:35:\"6a85b244b84e77221202_20230615064058\";s:8:\"NameHash\";s:70:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:80:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:82:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:588;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4304;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-15 06:40:58\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:34:\"km_general_use_starter_summer_2023\";s:4:\"Hash\";s:35:\"6a85b244b84e77221202_20230615064058\";s:8:\"NameHash\";s:70:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:88:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:87:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:83:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:189:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/backups-dup-lite/tmp/km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:82:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-admin\";i:1;s:85:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-includes\";i:2;s:94:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";i:1;s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";i:2;s:84:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content\";i:3;s:92:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads\";i:4;s:92:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/plugins\";i:5;s:95:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/mu-plugins\";i:6;s:91:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:105:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Starter Content", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Just another WordPress site", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "9", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:94:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:2:{i:0;s:25:\"duplicator/duplicator.php\";i:3;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "5", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:1:{i:0;i:10;}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "208", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1701930246", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("103", "widget_block", "a:13:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}i:8;a:1:{s:7:\"content\";s:159:\"<!-- wp:search {\"label\":\"Search\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:9;a:1:{s:7:\"content\";s:75:\"<!-- wp:heading -->\n<h2 class=\"wp-block-heading\"></h2>\n<!-- /wp:heading -->\";}i:10;a:1:{s:7:\"content\";s:116:\"<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:11;a:1:{s:7:\"content\";s:60:\"<!-- wp:search {\"label\":\"Search\",\"buttonText\":\"Search\"} /-->\";}i:17;a:1:{s:7:\"content\";s:102:\"<!-- wp:generateblocks/grid {\"uniqueId\":\"e94b0a38\",\"columns\":0,\"isDynamic\":true,\"blockVersion\":3} /-->\";}i:21;a:1:{s:7:\"content\";s:402:\"<!-- wp:generateblocks/image {\"uniqueId\":\"9fff54e2\",\"mediaId\":199,\"sizeSlug\":\"full\"} -->\n<figure class=\"gb-block-image gb-block-image-9fff54e2\"><img class=\"gb-image gb-image-9fff54e2\" src=\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" title=\"cropped-generator-1-2-2.png\"/></figure>\n<!-- /wp:generateblocks/image -->\";}i:22;a:1:{s:7:\"content\";s:525:\"<!-- wp:group {\"backgroundColor\":\"base-3\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-base-3-background-color has-background\"><!-- wp:image {\"id\":199,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" class=\"wp-image-199\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "sidebars_widgets", "a:11:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}s:9:\"sidebar-1\";a:0:{}s:9:\"sidebar-2\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("105", "cron", "a:7:{i:1686813846;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686853446;a:4:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1686853459;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1686896646;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686896659;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1687069446;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("121", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("122", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("126", "theme_mods_twentytwentythree", "a:4:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686810988;s:4:\"data\";a:11:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:6:\"header\";a:0:{}s:8:\"footer-1\";a:0:{}s:8:\"footer-2\";a:0:{}s:8:\"footer-3\";a:0:{}s:8:\"footer-4\";a:0:{}s:8:\"footer-5\";a:0:{}s:10:\"footer-bar\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("143", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("152", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("155", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("156", "theme_mods_generatepress", "a:5:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:6;}s:18:\"custom_css_post_id\";i:118;s:11:\"custom_logo\";i:199;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686810943;s:4:\"data\";a:11:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:6:\"header\";a:0:{}s:8:\"footer-1\";a:0:{}s:8:\"footer-2\";a:0:{}s:8:\"footer-3\";a:0:{}s:8:\"footer-4\";a:0:{}s:8:\"footer-5\";a:0:{}s:10:\"footer-bar\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("157", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("160", "generate_db_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("165", "generateblocks_dynamic_css_posts", "a:1:{i:46;b:1;}", "yes");
INSERT INTO `wp_options` VALUES("166", "generateblocks_dynamic_css_time", "1686511724", "yes");
INSERT INTO `wp_options` VALUES("168", "recently_activated", "a:4:{s:25:\"generateblocks/plugin.php\";i:1686520485;s:33:\"duplicate-post/duplicate-post.php\";i:1686520485;s:23:\"ai-engine/ai-engine.php\";i:1686511860;s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";i:1686414829;}", "yes");
INSERT INTO `wp_options` VALUES("169", "generateblocks_version", "1.7.3", "yes");
INSERT INTO `wp_options` VALUES("172", "mwai_rating_date", "1687946086", "no");
INSERT INTO `wp_options` VALUES("178", "mwai_options", "a:51:{s:18:\"module_suggestions\";b:1;s:18:\"module_woocommerce\";b:1;s:12:\"module_forms\";b:0;s:13:\"module_blocks\";b:0;s:17:\"module_playground\";b:1;s:24:\"module_generator_content\";b:1;s:23:\"module_generator_images\";b:1;s:17:\"module_moderation\";b:0;s:17:\"module_statistics\";b:0;s:16:\"module_finetunes\";b:0;s:17:\"module_embeddings\";b:0;s:12:\"module_audio\";b:0;s:14:\"shortcode_chat\";b:1;s:21:\"shortcode_chat_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:30:\"shortcode_chat_params_override\";b:0;s:19:\"shortcode_chat_html\";b:1;s:25:\"shortcode_chat_formatting\";b:1;s:21:\"shortcode_chat_legacy\";b:0;s:21:\"shortcode_chat_stream\";b:0;s:25:\"shortcode_chat_typewriter\";b:0;s:18:\"speech_recognition\";b:0;s:16:\"speech_synthesis\";b:0;s:26:\"shortcode_chat_discussions\";b:0;s:25:\"shortcode_chat_moderation\";b:0;s:34:\"shortcode_chat_syntax_highlighting\";b:0;s:21:\"shortcode_chat_inject\";b:0;s:21:\"shortcode_chat_styles\";a:0:{}s:6:\"limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}s:13:\"openai_apikey\";s:51:\"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\";s:14:\"openai_service\";s:6:\"openai\";s:12:\"openai_usage\";a:0:{}s:13:\"openai_models\";a:10:{i:0;a:10:{s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:4:\"name\";s:5:\"turbo\";s:6:\"family\";s:5:\"turbo\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:4096;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:1;a:11:{s:5:\"model\";s:5:\"gpt-4\";s:4:\"name\";s:5:\"gpt-4\";s:6:\"family\";s:4:\"gpt4\";s:5:\"price\";d:0.03;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:8192;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:2;a:11:{s:5:\"model\";s:9:\"gpt-4-32k\";s:4:\"name\";s:9:\"gpt-4-32k\";s:6:\"family\";s:8:\"gpt4-32k\";s:5:\"price\";d:0.06;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:32768;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:3;a:10:{s:5:\"model\";s:16:\"text-davinci-003\";s:4:\"name\";s:11:\"davinci-003\";s:6:\"family\";s:7:\"davinci\";s:5:\"price\";d:0.02;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.12;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:4;a:10:{s:5:\"model\";s:14:\"text-curie-001\";s:4:\"name\";s:9:\"curie-001\";s:6:\"family\";s:5:\"curie\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.012;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:5;a:10:{s:5:\"model\";s:16:\"text-babbage-001\";s:4:\"name\";s:11:\"babbage-001\";s:6:\"family\";s:7:\"babbage\";s:5:\"price\";d:0.0005;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0024;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:6;a:10:{s:5:\"model\";s:12:\"text-ada-001\";s:4:\"name\";s:7:\"ada-001\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0016;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:7;a:8:{s:5:\"model\";s:6:\"dall-e\";s:4:\"name\";s:6:\"dall-e\";s:6:\"family\";s:6:\"dall-e\";s:4:\"type\";s:5:\"image\";s:4:\"unit\";i:1;s:7:\"options\";a:3:{i:0;a:2:{s:6:\"option\";s:9:\"1024x1024\";s:5:\"price\";d:0.02;}i:1;a:2:{s:6:\"option\";s:7:\"512x512\";s:5:\"price\";d:0.018;}i:2;a:2:{s:6:\"option\";s:7:\"256x256\";s:5:\"price\";d:0.016;}}s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"image\";}}i:8;a:9:{s:5:\"model\";s:22:\"text-embedding-ada-002\";s:4:\"name\";s:7:\"ada-002\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:4:\"mode\";s:9:\"embedding\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:9:\"embedding\";}}i:9;a:9:{s:5:\"model\";s:9:\"whisper-1\";s:4:\"name\";s:9:\"whisper-1\";s:6:\"family\";s:7:\"whisper\";s:5:\"price\";d:1.0E-5;s:4:\"type\";s:6:\"second\";s:4:\"unit\";i:1;s:4:\"mode\";s:14:\"speech-to-text\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"audio\";}}}s:21:\"openai_azure_endpoint\";s:0:\"\";s:19:\"openai_azure_apikey\";s:0:\"\";s:24:\"openai_azure_deployments\";a:0:{}s:16:\"openai_finetunes\";a:0:{}s:24:\"openai_finetunes_deleted\";a:0:{}s:8:\"pinecone\";a:5:{s:6:\"apikey\";b:0;s:6:\"server\";s:12:\"us-east1-gcp\";s:9:\"namespace\";s:4:\"mwai\";s:7:\"indexes\";a:0:{}s:5:\"index\";N;}s:10:\"embeddings\";a:8:{s:14:\"rewriteContent\";b:1;s:13:\"rewritePrompt\";s:401:\"Rewrite the content concisely in {LANGUAGE}, maintaining the same style and information. The revised text should be under 800 words, with paragraphs ranging from 160-280 words each. Omit non-textual elements and avoid unnecessary repetition. Conclude with a statement directing readers to find more information at {URL}. If you cannot meet these requirements, please leave a blank response.\n\n{CONTENT}\";s:13:\"forceRecreate\";b:0;s:9:\"maxSelect\";i:1;s:8:\"minScore\";i:75;s:9:\"syncPosts\";b:0;s:13:\"syncPostTypes\";a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:7:\"product\";}s:14:\"syncPostStatus\";a:1:{i:0;s:7:\"publish\";}}s:12:\"extra_models\";s:0:\"\";s:10:\"debug_mode\";b:1;s:18:\"resolve_shortcodes\";b:0;s:18:\"dynamic_max_tokens\";b:1;s:18:\"context_max_tokens\";i:1024;s:16:\"assistants_model\";s:13:\"gpt-3.5-turbo\";s:12:\"banned_words\";a:0:{}s:10:\"banned_ips\";a:0:{}s:9:\"languages\";a:8:{s:2:\"en\";s:7:\"English\";s:2:\"de\";s:6:\"German\";s:2:\"fr\";s:6:\"French\";s:2:\"es\";s:7:\"Spanish\";s:2:\"it\";s:7:\"Italian\";s:2:\"zh\";s:7:\"Chinese\";s:2:\"ja\";s:8:\"Japanese\";s:2:\"pt\";s:10:\"Portuguese\";}s:29:\"shortcode_chat_default_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:16:\"chatbot_defaults\";a:34:{s:6:\"aiName\";s:4:\"AI: \";s:8:\"userName\";s:6:\"User: \";s:9:\"guestName\";s:7:\"Guest: \";s:8:\"textSend\";s:4:\"Send\";s:9:\"textClear\";s:5:\"Clear\";s:20:\"textInputPlaceholder\";s:20:\"Type your message...\";s:18:\"textInputMaxLength\";i:512;s:14:\"textCompliance\";s:0:\"\";s:13:\"startSentence\";s:23:\"Hi! How can I help you?\";s:12:\"maxSentences\";i:15;s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:8:\"iconText\";s:0:\"\";s:7:\"iconAlt\";s:17:\"AI Chatbot Avatar\";s:12:\"iconPosition\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:10:\"copyButton\";b:0;s:11:\"localMemory\";b:1;s:5:\"botId\";N;s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:12:\"contentAware\";b:0;s:15:\"embeddingsIndex\";s:0:\"\";s:17:\"casuallyFineTuned\";b:0;s:12:\"promptEnding\";N;s:16:\"completionEnding\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:9:\"maxTokens\";i:1024;s:10:\"maxResults\";i:1;s:6:\"apiKey\";N;s:7:\"service\";s:6:\"openai\";}s:14:\"default_limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}}", "no");
INSERT INTO `wp_options` VALUES("183", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("188", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("189", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("190", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("191", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("192", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("193", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("194", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("195", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("196", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("197", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("198", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("199", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("200", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("201", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("202", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("203", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("204", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("205", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("206", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("207", "duplicate_post_show_original_column", "0", "yes");
INSERT INTO `wp_options` VALUES("208", "duplicate_post_show_original_in_post_states", "0", "yes");
INSERT INTO `wp_options` VALUES("209", "duplicate_post_show_original_meta_box", "0", "yes");
INSERT INTO `wp_options` VALUES("210", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("211", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("212", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("221", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("253", "fs_active_plugins", "O:8:\"stdClass\":0:{}", "yes");
INSERT INTO `wp_options` VALUES("254", "fs_debug_mode", "", "yes");
INSERT INTO `wp_options` VALUES("255", "fs_accounts", "a:6:{s:21:\"id_slug_type_path_map\";a:1:{i:1010;a:3:{s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}}s:11:\"plugin_data\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:16:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1686414151;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:1;s:16:\"sdk_last_version\";N;s:11:\"sdk_version\";s:5:\"2.5.6\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:6:\"2.25.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";N;s:4:\"host\";s:14:\"localhost:8888\";s:9:\"server_ip\";s:3:\"::1\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1686414151;s:7:\"version\";s:6:\"2.25.2\";}s:15:\"prev_is_premium\";b:0;s:12:\"is_anonymous\";a:3:{s:2:\"is\";b:1;s:9:\"timestamp\";i:1686414160;s:7:\"version\";s:6:\"2.25.2\";}}}s:13:\"file_slug_map\";a:1:{s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";}s:7:\"plugins\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";O:9:\"FS_Plugin\":24:{s:2:\"id\";s:4:\"1010\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;s:10:\"public_key\";s:32:\"pk_ec1c7da603c0772f1bfe276efb715\";s:10:\"secret_key\";N;s:16:\"parent_plugin_id\";N;s:5:\"title\";s:28:\"WP Sheet Editor - Post Types\";s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:12:\"premium_slug\";s:23:\"wp-sheet-editor-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:7:\"version\";s:6:\"2.25.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:17:\"opt_in_moderation\";N;}}s:9:\"unique_id\";s:32:\"a90b2ee68ebebfc63fd5236736434634\";s:13:\"admin_notices\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("256", "fs_api_cache", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("259", "vg_sheet_editor", "a:9:{s:8:\"last_tab\";N;s:13:\"be_post_types\";a:1:{i:0;s:4:\"post\";}s:17:\"be_posts_per_page\";i:20;s:23:\"be_load_items_on_scroll\";i:1;s:19:\"be_fix_columns_left\";i:2;s:22:\"be_posts_per_page_save\";i:4;s:26:\"be_timeout_between_batches\";i:6;s:23:\"be_disable_post_actions\";i:0;s:30:\"be_disable_full_screen_mode_on\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("260", "vgse_can_edit_cpt_free", "1", "yes");
INSERT INTO `wp_options` VALUES("261", "vgse_columns_visibility", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("262", "vgse_columns_visibility_migrated", "1", "yes");
INSERT INTO `wp_options` VALUES("263", "vgse_welcome_redirect", "no", "yes");
INSERT INTO `wp_options` VALUES("264", "vgse_hide_whats_new_2.25.2", "yes", "yes");
INSERT INTO `wp_options` VALUES("265", "vgse_disable_quick_setup", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "vgse_hide_extensions_popup", "1", "yes");
INSERT INTO `wp_options` VALUES("272", "vgse_editions_counter", "53", "yes");
INSERT INTO `wp_options` VALUES("273", "vgse_processed_counter", "16", "yes");
INSERT INTO `wp_options` VALUES("288", "generate_header_helper", "current", "yes");
INSERT INTO `wp_options` VALUES("289", "generate_spacing_settings", "a:2:{s:10:\"header_top\";i:20;s:13:\"header_bottom\";i:20;}", "yes");
INSERT INTO `wp_options` VALUES("322", "site_logo", "199", "yes");
INSERT INTO `wp_options` VALUES("380", "duplicator_version_plugin", "1.5.4", "yes");
INSERT INTO `wp_options` VALUES("382", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("383", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("385", "duplicator_activated", "a:1:{s:4:\"lite\";i:1686511904;}", "yes");
INSERT INTO `wp_options` VALUES("387", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("388", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("390", "duplicator_migration_data", "{\n    \"time\": 1686520377,\n    \"installType\": -1,\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/20230611_generator_e1fb8eb478a8d6213142_20230611193153_archive.zip\",\n    \"packageHash\": \"e1fb8eb-11193153\",\n    \"installerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/installer.php\",\n    \"installerBootLog\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/dup-installer-bootlog__99f5954-11193153.txt\",\n    \"installerLog\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/dup-installer\\/dup-installer-log__99f5954-11193153.txt\",\n    \"dupInstallerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/Applications\\/MAMP\\/htdocs\\/exams\\/midterms-summer-2023\\/starter-content-2023\\/dup-installer\\/original_files_e1fb8eb-11193153\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true\n}", "no");
INSERT INTO `wp_options` VALUES("392", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.2.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.2.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.2.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.2.2-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.2.2\";s:7:\"version\";s:5:\"6.2.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1686810982;s:15:\"version_checked\";s:5:\"6.2.2\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("393", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1686810982;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:2:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/akismet/assets/banner-1544x500.png?rev=2900731\";s:2:\"1x\";s:62:\"https://ps.w.org/akismet/assets/banner-772x250.png?rev=2900731\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.4\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.4.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}}}", "no");
INSERT INTO `wp_options` VALUES("401", "_site_transient_timeout_browser_5f0ff5d8799ed4c0ed355fa474a7bbc2", "1687125343", "no");
INSERT INTO `wp_options` VALUES("402", "_site_transient_browser_5f0ff5d8799ed4c0ed355fa474a7bbc2", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"114.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("403", "_site_transient_timeout_php_check_ce267f3653936506950ae9448202043a", "1687125343", "no");
INSERT INTO `wp_options` VALUES("404", "_site_transient_php_check_ce267f3653936506950ae9448202043a", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("425", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("428", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-15 06:40:58\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:34:\"km_general_use_starter_summer_2023\";s:4:\"Hash\";s:35:\"6a85b244b84e77221202_20230615064058\";s:8:\"NameHash\";s:70:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:80:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:588;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4304;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-15 06:40:58\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:34:\"km_general_use_starter_summer_2023\";s:4:\"Hash\";s:35:\"6a85b244b84e77221202_20230615064058\";s:8:\"NameHash\";s:70:\"km_general_use_starter_summer_2023_6a85b244b84e77221202_20230615064058\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:87:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:82:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-admin\";i:1;s:85:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-includes\";i:2;s:94:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";i:1;s:73:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023\";i:2;s:84:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content\";i:3;s:92:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads\";i:4;s:92:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/plugins\";i:5;s:95:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/mu-plugins\";i:6;s:91:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:105:\"/Applications/MAMP/htdocs/exams/midterms-summer-2023/starter-content-2023/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");
INSERT INTO `wp_options` VALUES("429", "duplicator_settings", "a:17:{s:7:\"version\";s:5:\"1.5.4\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:9;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("430", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("431", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("455", "theme_mods_twentytwenty", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686602896;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("497", "_site_transient_timeout_theme_roots", "1686812781", "no");
INSERT INTO `wp_options` VALUES("498", "_site_transient_theme_roots", "a:3:{s:4:\"neve\";s:7:\"/themes\";s:12:\"twentytwenty\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("504", "generate_dynamic_css_output", "body{background-color:var(--base-2);color:var(--contrast);}a{color:var(--accent);}a{text-decoration:underline;}.entry-title a, .site-branding a, a.button, .wp-block-button__link, .main-navigation a{text-decoration:none;}a:hover, a:focus, a:active{color:var(--contrast);}.wp-block-group__inner-container{max-width:1200px;margin-left:auto;margin-right:auto;}:root{--contrast:#222222;--contrast-2:#575760;--contrast-3:#b2b2be;--base:#f0f0f0;--base-2:#f7f8f9;--base-3:#ffffff;--accent:#1e73be;}:root .has-contrast-color{color:var(--contrast);}:root .has-contrast-background-color{background-color:var(--contrast);}:root .has-contrast-2-color{color:var(--contrast-2);}:root .has-contrast-2-background-color{background-color:var(--contrast-2);}:root .has-contrast-3-color{color:var(--contrast-3);}:root .has-contrast-3-background-color{background-color:var(--contrast-3);}:root .has-base-color{color:var(--base);}:root .has-base-background-color{background-color:var(--base);}:root .has-base-2-color{color:var(--base-2);}:root .has-base-2-background-color{background-color:var(--base-2);}:root .has-base-3-color{color:var(--base-3);}:root .has-base-3-background-color{background-color:var(--base-3);}:root .has-accent-color{color:var(--accent);}:root .has-accent-background-color{background-color:var(--accent);}.top-bar{background-color:#636363;color:#ffffff;}.top-bar a{color:#ffffff;}.top-bar a:hover{color:#303030;}.site-header{background-color:var(--base-3);}.main-title a,.main-title a:hover{color:var(--contrast);}.site-description{color:var(--contrast-2);}.mobile-menu-control-wrapper .menu-toggle,.mobile-menu-control-wrapper .menu-toggle:hover,.mobile-menu-control-wrapper .menu-toggle:focus,.has-inline-mobile-toggle #site-navigation.toggled{background-color:rgba(0, 0, 0, 0.02);}.main-navigation,.main-navigation ul ul{background-color:var(--base-3);}.main-navigation .main-nav ul li a, .main-navigation .menu-toggle, .main-navigation .menu-bar-items{color:var(--contrast);}.main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):hover > a, .main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):focus > a, .main-navigation .main-nav ul li.sfHover:not([class*=\"current-menu-\"]) > a, .main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{color:var(--accent);}button.menu-toggle:hover,button.menu-toggle:focus{color:var(--contrast);}.main-navigation .main-nav ul li[class*=\"current-menu-\"] > a{color:var(--accent);}.navigation-search input[type=\"search\"],.navigation-search input[type=\"search\"]:active, .navigation-search input[type=\"search\"]:focus, .main-navigation .main-nav ul li.search-item.active > a, .main-navigation .menu-bar-items .search-item.active > a{color:var(--accent);}.main-navigation ul ul{background-color:var(--base);}.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .one-container .container, .separate-containers .paging-navigation, .inside-page-header{background-color:var(--base-3);}.entry-title a{color:var(--contrast);}.entry-title a:hover{color:var(--contrast-2);}.entry-meta{color:var(--contrast-2);}.sidebar .widget{background-color:var(--base-3);}.footer-widgets{background-color:var(--base-3);}.site-info{background-color:var(--base-3);}input[type=\"text\"],input[type=\"email\"],input[type=\"url\"],input[type=\"password\"],input[type=\"search\"],input[type=\"tel\"],input[type=\"number\"],textarea,select{color:var(--contrast);background-color:var(--base-2);border-color:var(--base);}input[type=\"text\"]:focus,input[type=\"email\"]:focus,input[type=\"url\"]:focus,input[type=\"password\"]:focus,input[type=\"search\"]:focus,input[type=\"tel\"]:focus,input[type=\"number\"]:focus,textarea:focus,select:focus{color:var(--contrast);background-color:var(--base-2);border-color:var(--contrast-3);}button,html input[type=\"button\"],input[type=\"reset\"],input[type=\"submit\"],a.button,a.wp-block-button__link:not(.has-background){color:#ffffff;background-color:#55555e;}button:hover,html input[type=\"button\"]:hover,input[type=\"reset\"]:hover,input[type=\"submit\"]:hover,a.button:hover,button:focus,html input[type=\"button\"]:focus,input[type=\"reset\"]:focus,input[type=\"submit\"]:focus,a.button:focus,a.wp-block-button__link:not(.has-background):active,a.wp-block-button__link:not(.has-background):focus,a.wp-block-button__link:not(.has-background):hover{color:#ffffff;background-color:#3f4047;}a.generate-back-to-top{background-color:rgba( 0,0,0,0.4 );color:#ffffff;}a.generate-back-to-top:hover,a.generate-back-to-top:focus{background-color:rgba( 0,0,0,0.6 );color:#ffffff;}:root{--gp-search-modal-bg-color:var(--base-3);--gp-search-modal-text-color:var(--contrast);--gp-search-modal-overlay-bg-color:rgba(0,0,0,0.2);}@media (max-width:768px){.main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{background:none;color:var(--contrast);}}.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container{padding:0px 20px 0px 20px;}.site-main .wp-block-group__inner-container{padding:40px;}.separate-containers .paging-navigation{padding-top:20px;padding-bottom:20px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-40px;width:calc(100% + 80px);max-width:calc(100% + 80px);}.rtl .menu-item-has-children .dropdown-menu-toggle{padding-left:20px;}.rtl .main-navigation .main-nav ul li.menu-item-has-children > a{padding-right:20px;}@media (max-width:768px){.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .separate-containers .paging-navigation, .one-container .site-content, .inside-page-header{padding:30px;}.site-main .wp-block-group__inner-container{padding:30px;}.inside-top-bar{padding-right:30px;padding-left:30px;}.inside-header{padding-right:30px;padding-left:30px;}.widget-area .widget{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.footer-widgets-container{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.inside-site-info{padding-right:30px;padding-left:30px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-30px;width:calc(100% + 60px);max-width:calc(100% + 60px);}.one-container .site-main .paging-navigation{margin-bottom:20px;}}", "yes");
INSERT INTO `wp_options` VALUES("505", "generate_dynamic_css_cached_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("509", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1686810988;s:7:\"checked\";a:3:{s:4:\"neve\";s:5:\"3.6.1\";s:12:\"twentytwenty\";s:3:\"2.2\";s:17:\"twentytwentythree\";s:3:\"1.1\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:3:{s:4:\"neve\";a:6:{s:5:\"theme\";s:4:\"neve\";s:11:\"new_version\";s:5:\"3.6.1\";s:3:\"url\";s:34:\"https://wordpress.org/themes/neve/\";s:7:\"package\";s:52:\"https://downloads.wordpress.org/theme/neve.3.6.1.zip\";s:8:\"requires\";s:3:\"5.4\";s:12:\"requires_php\";s:3:\"7.0\";}s:12:\"twentytwenty\";a:6:{s:5:\"theme\";s:12:\"twentytwenty\";s:11:\"new_version\";s:3:\"2.2\";s:3:\"url\";s:42:\"https://wordpress.org/themes/twentytwenty/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/theme/twentytwenty.2.2.zip\";s:8:\"requires\";s:3:\"4.7\";s:12:\"requires_php\";s:5:\"5.2.4\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.1\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.1.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("511", "theme_mods_neve", "a:10:{i:0;b:0;s:30:\"neve_auto_migrated_to_new_skin\";b:1;s:19:\"neve_ran_migrations\";b:1;s:22:\"neve_migrated_builders\";b:1;s:13:\"neve_new_skin\";s:3:\"new\";s:24:\"neve_migrated_hfg_colors\";b:1;s:18:\"nav_menu_locations\";a:0:{}s:13:\"ti_prev_theme\";s:17:\"twentytwentythree\";s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686811047;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("512", "neve_install", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("513", "_transient_timeout_tsk_attachment_count", "1686897389", "no");
INSERT INTO `wp_options` VALUES("514", "_transient_tsk_attachment_count", "33", "no");
INSERT INTO `wp_options` VALUES("515", "_transient_timeout_tsk_posts_count", "1686897389", "no");
INSERT INTO `wp_options` VALUES("516", "_transient_tsk_posts_count", "a:2:{s:11:\"total_posts\";i:26;s:9:\"old_posts\";i:21;}", "no");
INSERT INTO `wp_options` VALUES("517", "neve_user_check_time", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("518", "neve_new_user", "yes", "yes");
INSERT INTO `wp_options` VALUES("519", "_transient_timeout_neve_361versions", "1687242989", "no");
INSERT INTO `wp_options` VALUES("520", "_transient_neve_361versions", "a:152:{i:0;a:2:{s:7:\"version\";s:5:\"1.0.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.0.4.zip\";}i:1;a:2:{s:7:\"version\";s:5:\"1.0.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.0.5.zip\";}i:2;a:2:{s:7:\"version\";s:5:\"1.0.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.0.6.zip\";}i:3;a:2:{s:7:\"version\";s:5:\"1.0.8\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.0.8.zip\";}i:4;a:2:{s:7:\"version\";s:5:\"1.0.9\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.0.9.zip\";}i:5;a:2:{s:7:\"version\";s:6:\"1.0.10\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.10.zip\";}i:6;a:2:{s:7:\"version\";s:6:\"1.0.11\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.11.zip\";}i:7;a:2:{s:7:\"version\";s:6:\"1.0.12\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.12.zip\";}i:8;a:2:{s:7:\"version\";s:6:\"1.0.13\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.13.zip\";}i:9;a:2:{s:7:\"version\";s:6:\"1.0.14\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.14.zip\";}i:10;a:2:{s:7:\"version\";s:6:\"1.0.15\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.15.zip\";}i:11;a:2:{s:7:\"version\";s:6:\"1.0.16\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.16.zip\";}i:12;a:2:{s:7:\"version\";s:6:\"1.0.18\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.18.zip\";}i:13;a:2:{s:7:\"version\";s:6:\"1.0.19\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.19.zip\";}i:14;a:2:{s:7:\"version\";s:6:\"1.0.20\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.20.zip\";}i:15;a:2:{s:7:\"version\";s:6:\"1.0.21\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.21.zip\";}i:16;a:2:{s:7:\"version\";s:6:\"1.0.22\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.22.zip\";}i:17;a:2:{s:7:\"version\";s:6:\"1.0.23\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.23.zip\";}i:18;a:2:{s:7:\"version\";s:6:\"1.0.24\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.24.zip\";}i:19;a:2:{s:7:\"version\";s:6:\"1.0.25\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.25.zip\";}i:20;a:2:{s:7:\"version\";s:6:\"1.0.26\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.26.zip\";}i:21;a:2:{s:7:\"version\";s:6:\"1.0.27\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.27.zip\";}i:22;a:2:{s:7:\"version\";s:6:\"1.0.28\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.28.zip\";}i:23;a:2:{s:7:\"version\";s:6:\"1.0.29\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.1.0.29.zip\";}i:24;a:2:{s:7:\"version\";s:5:\"1.1.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.1.0.zip\";}i:25;a:2:{s:7:\"version\";s:5:\"1.1.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.1.1.zip\";}i:26;a:2:{s:7:\"version\";s:5:\"1.1.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.1.2.zip\";}i:27;a:2:{s:7:\"version\";s:5:\"1.1.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.1.3.zip\";}i:28;a:2:{s:7:\"version\";s:5:\"1.1.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.1.1.4.zip\";}i:29;a:2:{s:7:\"version\";s:5:\"2.0.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.0.0.zip\";}i:30;a:2:{s:7:\"version\";s:5:\"2.1.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.1.0.zip\";}i:31;a:2:{s:7:\"version\";s:5:\"2.2.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.2.0.zip\";}i:32;a:2:{s:7:\"version\";s:5:\"2.3.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.1.zip\";}i:33;a:2:{s:7:\"version\";s:5:\"2.3.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.2.zip\";}i:34;a:2:{s:7:\"version\";s:5:\"2.3.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.3.zip\";}i:35;a:2:{s:7:\"version\";s:5:\"2.3.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.4.zip\";}i:36;a:2:{s:7:\"version\";s:5:\"2.3.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.5.zip\";}i:37;a:2:{s:7:\"version\";s:5:\"2.3.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.6.zip\";}i:38;a:2:{s:7:\"version\";s:5:\"2.3.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.7.zip\";}i:39;a:2:{s:7:\"version\";s:5:\"2.3.8\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.8.zip\";}i:40;a:2:{s:7:\"version\";s:5:\"2.3.9\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.3.9.zip\";}i:41;a:2:{s:7:\"version\";s:6:\"2.3.10\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.10.zip\";}i:42;a:2:{s:7:\"version\";s:6:\"2.3.11\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.11.zip\";}i:43;a:2:{s:7:\"version\";s:6:\"2.3.12\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.12.zip\";}i:44;a:2:{s:7:\"version\";s:6:\"2.3.14\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.14.zip\";}i:45;a:2:{s:7:\"version\";s:6:\"2.3.15\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.15.zip\";}i:46;a:2:{s:7:\"version\";s:6:\"2.3.17\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.17.zip\";}i:47;a:2:{s:7:\"version\";s:6:\"2.3.19\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.19.zip\";}i:48;a:2:{s:7:\"version\";s:6:\"2.3.20\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.20.zip\";}i:49;a:2:{s:7:\"version\";s:6:\"2.3.21\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.21.zip\";}i:50;a:2:{s:7:\"version\";s:6:\"2.3.22\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.3.22.zip\";}i:51;a:2:{s:7:\"version\";s:5:\"2.4.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.4.0.zip\";}i:52;a:2:{s:7:\"version\";s:5:\"2.4.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.4.1.zip\";}i:53;a:2:{s:7:\"version\";s:5:\"2.4.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.4.2.zip\";}i:54;a:2:{s:7:\"version\";s:5:\"2.4.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.4.3.zip\";}i:55;a:2:{s:7:\"version\";s:5:\"2.5.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.5.1.zip\";}i:56;a:2:{s:7:\"version\";s:5:\"2.5.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.5.2.zip\";}i:57;a:2:{s:7:\"version\";s:5:\"2.5.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.5.3.zip\";}i:58;a:2:{s:7:\"version\";s:5:\"2.5.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.5.4.zip\";}i:59;a:2:{s:7:\"version\";s:5:\"2.6.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.0.zip\";}i:60;a:2:{s:7:\"version\";s:5:\"2.6.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.1.zip\";}i:61;a:2:{s:7:\"version\";s:5:\"2.6.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.2.zip\";}i:62;a:2:{s:7:\"version\";s:5:\"2.6.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.3.zip\";}i:63;a:2:{s:7:\"version\";s:5:\"2.6.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.4.zip\";}i:64;a:2:{s:7:\"version\";s:5:\"2.6.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.5.zip\";}i:65;a:2:{s:7:\"version\";s:5:\"2.6.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.6.6.zip\";}i:66;a:2:{s:7:\"version\";s:5:\"2.7.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.0.zip\";}i:67;a:2:{s:7:\"version\";s:5:\"2.7.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.1.zip\";}i:68;a:2:{s:7:\"version\";s:5:\"2.7.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.2.zip\";}i:69;a:2:{s:7:\"version\";s:5:\"2.7.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.3.zip\";}i:70;a:2:{s:7:\"version\";s:5:\"2.7.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.4.zip\";}i:71;a:2:{s:7:\"version\";s:5:\"2.7.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.5.zip\";}i:72;a:2:{s:7:\"version\";s:5:\"2.7.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.6.zip\";}i:73;a:2:{s:7:\"version\";s:5:\"2.7.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.7.7.zip\";}i:74;a:2:{s:7:\"version\";s:5:\"2.8.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.8.0.zip\";}i:75;a:2:{s:7:\"version\";s:5:\"2.8.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.8.1.zip\";}i:76;a:2:{s:7:\"version\";s:5:\"2.8.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.8.2.zip\";}i:77;a:2:{s:7:\"version\";s:5:\"2.8.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.8.3.zip\";}i:78;a:2:{s:7:\"version\";s:5:\"2.8.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.8.4.zip\";}i:79;a:2:{s:7:\"version\";s:5:\"2.9.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.0.zip\";}i:80;a:2:{s:7:\"version\";s:5:\"2.9.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.1.zip\";}i:81;a:2:{s:7:\"version\";s:5:\"2.9.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.2.zip\";}i:82;a:2:{s:7:\"version\";s:5:\"2.9.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.3.zip\";}i:83;a:2:{s:7:\"version\";s:5:\"2.9.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.4.zip\";}i:84;a:2:{s:7:\"version\";s:5:\"2.9.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.2.9.5.zip\";}i:85;a:2:{s:7:\"version\";s:6:\"2.10.0\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.10.0.zip\";}i:86;a:2:{s:7:\"version\";s:6:\"2.10.1\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.10.1.zip\";}i:87;a:2:{s:7:\"version\";s:6:\"2.10.2\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.10.2.zip\";}i:88;a:2:{s:7:\"version\";s:6:\"2.10.3\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.10.3.zip\";}i:89;a:2:{s:7:\"version\";s:6:\"2.10.4\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.10.4.zip\";}i:90;a:2:{s:7:\"version\";s:6:\"2.11.0\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.0.zip\";}i:91;a:2:{s:7:\"version\";s:6:\"2.11.1\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.1.zip\";}i:92;a:2:{s:7:\"version\";s:6:\"2.11.2\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.2.zip\";}i:93;a:2:{s:7:\"version\";s:6:\"2.11.3\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.3.zip\";}i:94;a:2:{s:7:\"version\";s:6:\"2.11.4\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.4.zip\";}i:95;a:2:{s:7:\"version\";s:6:\"2.11.5\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.5.zip\";}i:96;a:2:{s:7:\"version\";s:6:\"2.11.6\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.2.11.6.zip\";}i:97;a:2:{s:7:\"version\";s:5:\"3.0.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.0.zip\";}i:98;a:2:{s:7:\"version\";s:5:\"3.0.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.1.zip\";}i:99;a:2:{s:7:\"version\";s:5:\"3.0.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.2.zip\";}i:100;a:2:{s:7:\"version\";s:5:\"3.0.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.3.zip\";}i:101;a:2:{s:7:\"version\";s:5:\"3.0.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.4.zip\";}i:102;a:2:{s:7:\"version\";s:5:\"3.0.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.5.zip\";}i:103;a:2:{s:7:\"version\";s:5:\"3.0.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.6.zip\";}i:104;a:2:{s:7:\"version\";s:5:\"3.0.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.7.zip\";}i:105;a:2:{s:7:\"version\";s:5:\"3.0.8\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.8.zip\";}i:106;a:2:{s:7:\"version\";s:5:\"3.0.9\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.0.9.zip\";}i:107;a:2:{s:7:\"version\";s:6:\"3.0.10\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.3.0.10.zip\";}i:108;a:2:{s:7:\"version\";s:6:\"3.0.11\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.3.0.11.zip\";}i:109;a:2:{s:7:\"version\";s:5:\"3.1.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.0.zip\";}i:110;a:2:{s:7:\"version\";s:5:\"3.1.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.1.zip\";}i:111;a:2:{s:7:\"version\";s:5:\"3.1.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.2.zip\";}i:112;a:2:{s:7:\"version\";s:5:\"3.1.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.3.zip\";}i:113;a:2:{s:7:\"version\";s:5:\"3.1.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.4.zip\";}i:114;a:2:{s:7:\"version\";s:5:\"3.1.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.5.zip\";}i:115;a:2:{s:7:\"version\";s:5:\"3.1.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.1.6.zip\";}i:116;a:2:{s:7:\"version\";s:5:\"3.2.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.0.zip\";}i:117;a:2:{s:7:\"version\";s:5:\"3.2.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.1.zip\";}i:118;a:2:{s:7:\"version\";s:5:\"3.2.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.2.zip\";}i:119;a:2:{s:7:\"version\";s:5:\"3.2.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.3.zip\";}i:120;a:2:{s:7:\"version\";s:5:\"3.2.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.4.zip\";}i:121;a:2:{s:7:\"version\";s:5:\"3.2.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.2.5.zip\";}i:122;a:2:{s:7:\"version\";s:5:\"3.3.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.0.zip\";}i:123;a:2:{s:7:\"version\";s:5:\"3.3.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.1.zip\";}i:124;a:2:{s:7:\"version\";s:5:\"3.3.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.2.zip\";}i:125;a:2:{s:7:\"version\";s:5:\"3.3.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.3.zip\";}i:126;a:2:{s:7:\"version\";s:5:\"3.3.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.4.zip\";}i:127;a:2:{s:7:\"version\";s:5:\"3.3.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.5.zip\";}i:128;a:2:{s:7:\"version\";s:5:\"3.3.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.6.zip\";}i:129;a:2:{s:7:\"version\";s:5:\"3.3.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.3.7.zip\";}i:130;a:2:{s:7:\"version\";s:5:\"3.4.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.0.zip\";}i:131;a:2:{s:7:\"version\";s:5:\"3.4.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.1.zip\";}i:132;a:2:{s:7:\"version\";s:5:\"3.4.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.2.zip\";}i:133;a:2:{s:7:\"version\";s:5:\"3.4.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.3.zip\";}i:134;a:2:{s:7:\"version\";s:5:\"3.4.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.4.zip\";}i:135;a:2:{s:7:\"version\";s:5:\"3.4.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.5.zip\";}i:136;a:2:{s:7:\"version\";s:5:\"3.4.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.6.zip\";}i:137;a:2:{s:7:\"version\";s:5:\"3.4.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.7.zip\";}i:138;a:2:{s:7:\"version\";s:5:\"3.4.8\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.8.zip\";}i:139;a:2:{s:7:\"version\";s:5:\"3.4.9\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.4.9.zip\";}i:140;a:2:{s:7:\"version\";s:6:\"3.4.10\";s:3:\"url\";s:53:\"https://downloads.wordpress.org/theme/neve.3.4.10.zip\";}i:141;a:2:{s:7:\"version\";s:5:\"3.5.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.0.zip\";}i:142;a:2:{s:7:\"version\";s:5:\"3.5.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.1.zip\";}i:143;a:2:{s:7:\"version\";s:5:\"3.5.2\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.2.zip\";}i:144;a:2:{s:7:\"version\";s:5:\"3.5.3\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.3.zip\";}i:145;a:2:{s:7:\"version\";s:5:\"3.5.4\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.4.zip\";}i:146;a:2:{s:7:\"version\";s:5:\"3.5.5\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.5.zip\";}i:147;a:2:{s:7:\"version\";s:5:\"3.5.6\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.6.zip\";}i:148;a:2:{s:7:\"version\";s:5:\"3.5.7\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.7.zip\";}i:149;a:2:{s:7:\"version\";s:5:\"3.5.8\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.5.8.zip\";}i:150;a:2:{s:7:\"version\";s:5:\"3.6.0\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.6.0.zip\";}i:151;a:2:{s:7:\"version\";s:5:\"3.6.1\";s:3:\"url\";s:52:\"https://downloads.wordpress.org/theme/neve.3.6.1.zip\";}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "5", "_wp_attached_file", "2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("4", "5", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:52:\"2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg\";s:8:\"filesize\";i:285644;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9494;}s:5:\"large\";a:5:{s:4:\"file\";s:53:\"christophe-rollando-qjwd5VipY64-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61371;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4091;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119597;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:190130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7", "7", "_edit_lock", "1686444242:1");
INSERT INTO `wp_postmeta` VALUES("9", "7", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("11", "7", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("13", "9", "_thumbnail_id", "165");
INSERT INTO `wp_postmeta` VALUES("15", "9", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("16", "10", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("19", "10", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("20", "11", "_thumbnail_id", "164");
INSERT INTO `wp_postmeta` VALUES("23", "11", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("24", "11", "_edit_lock", "1686444242:1");
INSERT INTO `wp_postmeta` VALUES("25", "10", "_edit_lock", "1686413670:1");
INSERT INTO `wp_postmeta` VALUES("26", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("28", "9", "_edit_lock", "1686444243:1");
INSERT INTO `wp_postmeta` VALUES("29", "9", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("31", "1", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("32", "1", "_wp_trash_meta_time", "1686379240");
INSERT INTO `wp_postmeta` VALUES("33", "1", "_wp_desired_post_slug", "hello-world");
INSERT INTO `wp_postmeta` VALUES("34", "1", "_wp_trash_meta_comments_status", "a:1:{i:1;s:1:\"1\";}");
INSERT INTO `wp_postmeta` VALUES("35", "15", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("38", "15", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("39", "16", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("41", "16", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("42", "17", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("45", "17", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("46", "18", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("47", "18", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("48", "19", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("51", "19", "_dp_original", "15");
INSERT INTO `wp_postmeta` VALUES("52", "20", "_thumbnail_id", "305");
INSERT INTO `wp_postmeta` VALUES("54", "20", "_dp_original", "16");
INSERT INTO `wp_postmeta` VALUES("58", "21", "_dp_original", "17");
INSERT INTO `wp_postmeta` VALUES("61", "22", "_dp_original", "18");
INSERT INTO `wp_postmeta` VALUES("62", "23", "_thumbnail_id", "170");
INSERT INTO `wp_postmeta` VALUES("65", "23", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("66", "24", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("68", "24", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("69", "25", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("72", "25", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("73", "26", "_thumbnail_id", "167");
INSERT INTO `wp_postmeta` VALUES("74", "26", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("75", "19", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("77", "20", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("78", "21", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("80", "22", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("81", "23", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("83", "24", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("84", "25", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("86", "26", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("87", "15", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("89", "16", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("90", "17", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("92", "18", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("94", "10", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("105", "41", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("106", "41", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("107", "41", "_menu_item_object_id", "2");
INSERT INTO `wp_postmeta` VALUES("108", "41", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("109", "41", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("110", "41", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("111", "41", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("112", "41", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("113", "41", "_menu_item_orphaned", "1686379313");
INSERT INTO `wp_postmeta` VALUES("164", "25", "_edit_lock", "1686444244:1");
INSERT INTO `wp_postmeta` VALUES("166", "26", "_edit_lock", "1686444243:1");
INSERT INTO `wp_postmeta` VALUES("171", "48", "_edit_lock", "1686379879:1");
INSERT INTO `wp_postmeta` VALUES("172", "48", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("173", "48", "_wp_trash_meta_time", "1686379907");
INSERT INTO `wp_postmeta` VALUES("176", "49", "_customize_restore_dismissed", "1");
INSERT INTO `wp_postmeta` VALUES("177", "50", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("178", "50", "_wp_trash_meta_time", "1686380138");
INSERT INTO `wp_postmeta` VALUES("179", "51", "_edit_lock", "1686380766:1");
INSERT INTO `wp_postmeta` VALUES("180", "51", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("181", "51", "_wp_trash_meta_time", "1686380789");
INSERT INTO `wp_postmeta` VALUES("182", "52", "_edit_lock", "1686380826:1");
INSERT INTO `wp_postmeta` VALUES("183", "52", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("184", "52", "_wp_trash_meta_time", "1686380863");
INSERT INTO `wp_postmeta` VALUES("185", "53", "_edit_lock", "1686380886:1");
INSERT INTO `wp_postmeta` VALUES("186", "53", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("187", "53", "_wp_trash_meta_time", "1686380888");
INSERT INTO `wp_postmeta` VALUES("188", "54", "_edit_lock", "1686380946:1");
INSERT INTO `wp_postmeta` VALUES("189", "54", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("190", "54", "_wp_trash_meta_time", "1686380978");
INSERT INTO `wp_postmeta` VALUES("191", "55", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("192", "55", "_wp_trash_meta_time", "1686381020");
INSERT INTO `wp_postmeta` VALUES("193", "56", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("194", "56", "_wp_trash_meta_time", "1686381032");
INSERT INTO `wp_postmeta` VALUES("195", "57", "_edit_lock", "1686381409:1");
INSERT INTO `wp_postmeta` VALUES("196", "57", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("197", "57", "_wp_trash_meta_time", "1686381420");
INSERT INTO `wp_postmeta` VALUES("198", "58", "_edit_lock", "1686381469:1");
INSERT INTO `wp_postmeta` VALUES("199", "58", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("200", "58", "_wp_trash_meta_time", "1686381518");
INSERT INTO `wp_postmeta` VALUES("201", "59", "_edit_lock", "1686381649:1");
INSERT INTO `wp_postmeta` VALUES("202", "59", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("203", "59", "_wp_trash_meta_time", "1686381673");
INSERT INTO `wp_postmeta` VALUES("204", "60", "_edit_lock", "1686381709:1");
INSERT INTO `wp_postmeta` VALUES("205", "60", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("206", "60", "_wp_trash_meta_time", "1686381712");
INSERT INTO `wp_postmeta` VALUES("207", "61", "_edit_lock", "1686381769:1");
INSERT INTO `wp_postmeta` VALUES("208", "61", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("209", "61", "_wp_trash_meta_time", "1686381804");
INSERT INTO `wp_postmeta` VALUES("211", "10", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("214", "7", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("216", "9", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("218", "10", "_wp_old_date", "2022-06-10");
INSERT INTO `wp_postmeta` VALUES("220", "11", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("222", "15", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("224", "16", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("226", "17", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("228", "18", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("230", "19", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("232", "20", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("234", "21", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("236", "22", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("238", "23", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("240", "24", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("242", "25", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("244", "26", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("245", "90", "_edit_lock", "1686415009:1");
INSERT INTO `wp_postmeta` VALUES("248", "90", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("249", "90", "_wp_trash_meta_time", "1686415020");
INSERT INTO `wp_postmeta` VALUES("250", "93", "_edit_lock", "1686415069:1");
INSERT INTO `wp_postmeta` VALUES("251", "93", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("252", "93", "_wp_trash_meta_time", "1686415071");
INSERT INTO `wp_postmeta` VALUES("253", "107", "_edit_lock", "1686422044:1");
INSERT INTO `wp_postmeta` VALUES("254", "107", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("255", "107", "_wp_trash_meta_time", "1686422097");
INSERT INTO `wp_postmeta` VALUES("256", "108", "_edit_lock", "1686430100:1");
INSERT INTO `wp_postmeta` VALUES("257", "108", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("258", "108", "_wp_trash_meta_time", "1686430112");
INSERT INTO `wp_postmeta` VALUES("259", "109", "_edit_lock", "1686430601:1");
INSERT INTO `wp_postmeta` VALUES("260", "109", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("261", "109", "_wp_trash_meta_time", "1686430621");
INSERT INTO `wp_postmeta` VALUES("267", "115", "_edit_lock", "1686431425:1");
INSERT INTO `wp_postmeta` VALUES("271", "115", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("272", "115", "_wp_trash_meta_time", "1686431440");
INSERT INTO `wp_postmeta` VALUES("273", "117", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("274", "117", "_wp_trash_meta_time", "1686431506");
INSERT INTO `wp_postmeta` VALUES("275", "120", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("276", "120", "_wp_trash_meta_time", "1686431534");
INSERT INTO `wp_postmeta` VALUES("277", "121", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("278", "121", "_wp_trash_meta_time", "1686431570");
INSERT INTO `wp_postmeta` VALUES("279", "160", "_wp_attached_file", "2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:43:\"2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg\";s:8:\"filesize\";i:358634;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11481;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"a65-design-XKqbBmCcJPg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83821;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5359;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51431;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:170876;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281093;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "161", "_wp_attached_file", "2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "161", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:51:\"2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg\";s:8:\"filesize\";i:215153;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5076;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36243;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2884;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22035;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76962;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-o5GiFSl5iYw-unsplash-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:36:\"dada_design-o5GiFSl5iYw-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("283", "162", "_wp_attached_file", "2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("284", "162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg\";s:8:\"filesize\";i:196352;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6527;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-vWyq7C2lfFg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3166;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27254;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94968;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:159832;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "163", "_wp_attached_file", "2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg\";s:8:\"filesize\";i:258877;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7324;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"filip-baotic-4go5Rx5ivWE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55450;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3621;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32862;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117739;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:198796;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "164", "_wp_attached_file", "2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg\";s:8:\"filesize\";i:113501;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5112;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-FkFJ5587Hzk-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30420;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2499;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19663;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59207;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93394;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "165", "_wp_attached_file", "2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("290", "165", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg\";s:8:\"filesize\";i:317185;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7509;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-Iy3GN4iPLW8-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60883;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3483;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35421;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131842;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:227257;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("291", "166", "_wp_attached_file", "2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("292", "166", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg\";s:8:\"filesize\";i:626488;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17360;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:157316;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6912;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94666;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:309840;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:482973;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "167", "_wp_attached_file", "2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("294", "167", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg\";s:8:\"filesize\";i:313761;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11561;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77364;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5265;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48708;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:148843;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:233014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "168", "_wp_attached_file", "2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("296", "168", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg\";s:8:\"filesize\";i:242175;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8655;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"planet-volumes-oUrqWiOz_sg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57669;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4190;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:112782;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180762;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("297", "169", "_wp_attached_file", "2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("298", "169", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:49:\"2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg\";s:8:\"filesize\";i:377740;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10230;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"raspopova-marina-62-SHh-VxBQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76795;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5060;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46692;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:163335;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:279130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("299", "170", "_wp_attached_file", "2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("300", "170", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:48:\"2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg\";s:8:\"filesize\";i:552555;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13081;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106237;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5300;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64618;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:223027;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:370894;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("301", "23", "_edit_lock", "1686444245:1");
INSERT INTO `wp_postmeta` VALUES("302", "24", "_edit_lock", "1686444244:1");
INSERT INTO `wp_postmeta` VALUES("303", "20", "_edit_lock", "1686603459:1");
INSERT INTO `wp_postmeta` VALUES("304", "21", "_edit_lock", "1686444240:1");
INSERT INTO `wp_postmeta` VALUES("305", "15", "_edit_lock", "1686444240:1");
INSERT INTO `wp_postmeta` VALUES("306", "19", "_edit_lock", "1686503249:1");
INSERT INTO `wp_postmeta` VALUES("307", "16", "_edit_lock", "1686444239:1");
INSERT INTO `wp_postmeta` VALUES("308", "18", "_edit_lock", "1686444238:1");
INSERT INTO `wp_postmeta` VALUES("309", "17", "_edit_lock", "1686444232:1");
INSERT INTO `wp_postmeta` VALUES("336", "171", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("337", "171", "_wp_trash_meta_time", "1686441286");
INSERT INTO `wp_postmeta` VALUES("338", "172", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("339", "172", "_wp_trash_meta_time", "1686441307");
INSERT INTO `wp_postmeta` VALUES("348", "173", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("349", "173", "_wp_trash_meta_time", "1686441353");
INSERT INTO `wp_postmeta` VALUES("350", "175", "_edit_lock", "1686441564:1");
INSERT INTO `wp_postmeta` VALUES("351", "175", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("352", "175", "_wp_trash_meta_time", "1686441570");
INSERT INTO `wp_postmeta` VALUES("353", "177", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("354", "177", "_wp_trash_meta_time", "1686441600");
INSERT INTO `wp_postmeta` VALUES("355", "179", "_edit_lock", "1686441924:1");
INSERT INTO `wp_postmeta` VALUES("356", "179", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("357", "179", "_wp_trash_meta_time", "1686441934");
INSERT INTO `wp_postmeta` VALUES("358", "181", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("359", "181", "_wp_trash_meta_time", "1686441955");
INSERT INTO `wp_postmeta` VALUES("360", "183", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("361", "183", "_wp_trash_meta_time", "1686441977");
INSERT INTO `wp_postmeta` VALUES("362", "185", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("363", "185", "_wp_trash_meta_time", "1686442007");
INSERT INTO `wp_postmeta` VALUES("364", "187", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("365", "187", "_wp_trash_meta_time", "1686442261");
INSERT INTO `wp_postmeta` VALUES("371", "190", "_edit_lock", "1686443015:1");
INSERT INTO `wp_postmeta` VALUES("377", "190", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("378", "190", "_wp_trash_meta_time", "1686443066");
INSERT INTO `wp_postmeta` VALUES("379", "193", "_edit_lock", "1686443138:1");
INSERT INTO `wp_postmeta` VALUES("386", "193", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("387", "193", "_wp_trash_meta_time", "1686443158");
INSERT INTO `wp_postmeta` VALUES("393", "198", "_edit_lock", "1686443198:1");
INSERT INTO `wp_postmeta` VALUES("394", "198", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("395", "198", "_wp_trash_meta_time", "1686443210");
INSERT INTO `wp_postmeta` VALUES("399", "200", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("400", "200", "_wp_trash_meta_time", "1686443293");
INSERT INTO `wp_postmeta` VALUES("401", "201", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("402", "201", "_wp_trash_meta_time", "1686443727");
INSERT INTO `wp_postmeta` VALUES("403", "203", "_edit_lock", "1686443824:1");
INSERT INTO `wp_postmeta` VALUES("404", "203", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("405", "203", "_wp_trash_meta_time", "1686443835");
INSERT INTO `wp_postmeta` VALUES("406", "205", "_edit_lock", "1686444064:1");
INSERT INTO `wp_postmeta` VALUES("407", "205", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("408", "205", "_wp_trash_meta_time", "1686444069");
INSERT INTO `wp_postmeta` VALUES("414", "209", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("415", "209", "_wp_trash_meta_time", "1686444224");
INSERT INTO `wp_postmeta` VALUES("418", "210", "_edit_lock", "1686445273:1");
INSERT INTO `wp_postmeta` VALUES("419", "210", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("420", "210", "_wp_trash_meta_time", "1686445273");
INSERT INTO `wp_postmeta` VALUES("421", "212", "_edit_lock", "1686445453:1");
INSERT INTO `wp_postmeta` VALUES("422", "212", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("423", "212", "_wp_trash_meta_time", "1686445485");
INSERT INTO `wp_postmeta` VALUES("424", "214", "_edit_lock", "1686445633:1");
INSERT INTO `wp_postmeta` VALUES("425", "214", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("426", "214", "_wp_trash_meta_time", "1686445634");
INSERT INTO `wp_postmeta` VALUES("427", "216", "_edit_lock", "1686445813:1");
INSERT INTO `wp_postmeta` VALUES("428", "216", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("429", "216", "_wp_trash_meta_time", "1686445841");
INSERT INTO `wp_postmeta` VALUES("430", "218", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("431", "218", "_wp_trash_meta_time", "1686445855");
INSERT INTO `wp_postmeta` VALUES("432", "220", "_edit_lock", "1686448279:1");
INSERT INTO `wp_postmeta` VALUES("433", "220", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("434", "220", "_wp_trash_meta_time", "1686448285");
INSERT INTO `wp_postmeta` VALUES("435", "221", "_edit_lock", "1686448339:1");
INSERT INTO `wp_postmeta` VALUES("436", "221", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("437", "221", "_wp_trash_meta_time", "1686448366");
INSERT INTO `wp_postmeta` VALUES("438", "223", "_edit_lock", "1686448399:1");
INSERT INTO `wp_postmeta` VALUES("439", "223", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("440", "223", "_wp_trash_meta_time", "1686448423");
INSERT INTO `wp_postmeta` VALUES("441", "225", "_edit_lock", "1686448459:1");
INSERT INTO `wp_postmeta` VALUES("442", "225", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("443", "225", "_wp_trash_meta_time", "1686448484");
INSERT INTO `wp_postmeta` VALUES("444", "227", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("445", "227", "_wp_trash_meta_time", "1686450222");
INSERT INTO `wp_postmeta` VALUES("446", "230", "_edit_lock", "1686451643:1");
INSERT INTO `wp_postmeta` VALUES("448", "230", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("449", "230", "_wp_trash_meta_time", "1686451690");
INSERT INTO `wp_postmeta` VALUES("450", "231", "_edit_lock", "1686451753:1");
INSERT INTO `wp_postmeta` VALUES("451", "231", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("452", "231", "_wp_trash_meta_time", "1686451789");
INSERT INTO `wp_postmeta` VALUES("453", "232", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("454", "232", "_wp_trash_meta_time", "1686451808");
INSERT INTO `wp_postmeta` VALUES("455", "234", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("456", "234", "_wp_trash_meta_time", "1686466342");
INSERT INTO `wp_postmeta` VALUES("458", "235", "_edit_lock", "1686466483:1");
INSERT INTO `wp_postmeta` VALUES("459", "235", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("460", "235", "_wp_trash_meta_time", "1686466490");
INSERT INTO `wp_postmeta` VALUES("461", "236", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("462", "236", "_wp_trash_meta_time", "1686466697");
INSERT INTO `wp_postmeta` VALUES("463", "237", "_edit_lock", "1686467085:1");
INSERT INTO `wp_postmeta` VALUES("464", "237", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("465", "237", "_wp_trash_meta_time", "1686467091");
INSERT INTO `wp_postmeta` VALUES("466", "238", "_edit_lock", "1686467174:1");
INSERT INTO `wp_postmeta` VALUES("467", "238", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("468", "238", "_wp_trash_meta_time", "1686467186");
INSERT INTO `wp_postmeta` VALUES("469", "22", "_edit_lock", "1686602837:1");
INSERT INTO `wp_postmeta` VALUES("474", "239", "_wp_attached_file", "2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg");
INSERT INTO `wp_postmeta` VALUES("475", "239", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1683;s:4:\"file\";s:65:\"2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg\";s:8:\"filesize\";i:462007;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-300x197.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:197;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12527;}s:5:\"large\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1024x673.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:673;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97576;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5623;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-768x505.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:505;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60272;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1536x1010.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1010;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:191605;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-2048x1346.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1346;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:301817;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1200x789.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:789;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126901;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1980x1302.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1302;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:286564;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:35:\"ian-dooley-_-JR5TxKNSo-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("476", "240", "_wp_attached_file", "2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("477", "240", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg\";s:8:\"filesize\";i:368536;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11663;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"felipepelaquim-1qvUsVrKrMI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83684;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5241;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51741;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167403;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("478", "241", "_wp_attached_file", "2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("479", "241", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg\";s:8:\"filesize\";i:404574;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12365;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-d5vYKvzD_kw-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95781;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5435;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59096;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:188056;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:298417;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("480", "242", "_wp_attached_file", "2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("481", "242", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg\";s:8:\"filesize\";i:650094;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16801;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sophia-kunkel-F84XvXyEYk4-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:133766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81413;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272985;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:456554;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("482", "243", "_wp_attached_file", "2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("483", "243", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg\";s:8:\"filesize\";i:400640;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8932;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"becca-tapert-p6h5U-ns9o0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70514;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4003;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41834;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:161928;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:295758;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("484", "244", "_wp_attached_file", "2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("485", "244", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg\";s:8:\"filesize\";i:309927;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10357;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-1P1f8zPF4PM-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69373;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4704;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44091;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135573;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:214786;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("486", "245", "_wp_attached_file", "2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("487", "245", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg\";s:8:\"filesize\";i:593991;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14326;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-zLT3VqWEgOQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6087;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72661;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:257358;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:423218;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("488", "246", "_wp_attached_file", "2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("489", "246", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg\";s:8:\"filesize\";i:650751;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13770;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-lrk0l9w8rI0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122094;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5852;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70980;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263394;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:437360;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("490", "247", "_wp_attached_file", "2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("491", "247", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg\";s:8:\"filesize\";i:487316;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13016;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-l6u4GIKvxBs-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101492;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6112;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61114;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:209537;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:339301;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("492", "248", "_wp_attached_file", "2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("493", "248", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:55:\"2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg\";s:8:\"filesize\";i:363923;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9860;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73945;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3997;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44707;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145375;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:40:\"angelo-pantazis-N4wUsqIbMAM-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("494", "249", "_edit_lock", "1686504829:1");
INSERT INTO `wp_postmeta` VALUES("495", "250", "_edit_lock", "1686504075:1");
INSERT INTO `wp_postmeta` VALUES("497", "249", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("499", "249", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("502", "252", "_thumbnail_id", "245");
INSERT INTO `wp_postmeta` VALUES("504", "252", "_dp_original", "249");
INSERT INTO `wp_postmeta` VALUES("505", "253", "_thumbnail_id", "243");
INSERT INTO `wp_postmeta` VALUES("508", "253", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("509", "254", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("512", "254", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("513", "255", "_thumbnail_id", "241");
INSERT INTO `wp_postmeta` VALUES("516", "255", "_dp_original", "254");
INSERT INTO `wp_postmeta` VALUES("517", "256", "_thumbnail_id", "242");
INSERT INTO `wp_postmeta` VALUES("520", "256", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("521", "257", "_thumbnail_id", "244");
INSERT INTO `wp_postmeta` VALUES("524", "257", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("525", "258", "_thumbnail_id", "304");
INSERT INTO `wp_postmeta` VALUES("528", "258", "_dp_original", "255");
INSERT INTO `wp_postmeta` VALUES("529", "259", "_thumbnail_id", "299");
INSERT INTO `wp_postmeta` VALUES("532", "259", "_dp_original", "256");
INSERT INTO `wp_postmeta` VALUES("533", "260", "_thumbnail_id", "240");
INSERT INTO `wp_postmeta` VALUES("536", "260", "_dp_original", "257");
INSERT INTO `wp_postmeta` VALUES("537", "258", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("538", "258", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("539", "258", "_edit_lock", "1686602887:1");
INSERT INTO `wp_postmeta` VALUES("540", "252", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("541", "252", "_edit_lock", "1686504743:1");
INSERT INTO `wp_postmeta` VALUES("542", "253", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("543", "253", "_edit_lock", "1686504733:1");
INSERT INTO `wp_postmeta` VALUES("544", "254", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("545", "254", "_edit_lock", "1686504721:1");
INSERT INTO `wp_postmeta` VALUES("546", "257", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("547", "257", "_edit_lock", "1686504720:1");
INSERT INTO `wp_postmeta` VALUES("548", "256", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("549", "256", "_edit_lock", "1686504719:1");
INSERT INTO `wp_postmeta` VALUES("550", "255", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("551", "255", "_edit_lock", "1686504717:1");
INSERT INTO `wp_postmeta` VALUES("552", "260", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("553", "260", "_edit_lock", "1686504715:1");
INSERT INTO `wp_postmeta` VALUES("554", "259", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("555", "259", "_edit_lock", "1686603135:1");
INSERT INTO `wp_postmeta` VALUES("569", "273", "_edit_lock", "1686505124:1");
INSERT INTO `wp_postmeta` VALUES("570", "273", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("571", "273", "_wp_trash_meta_time", "1686505132");
INSERT INTO `wp_postmeta` VALUES("572", "274", "_edit_lock", "1686505184:1");
INSERT INTO `wp_postmeta` VALUES("573", "274", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("574", "274", "_wp_trash_meta_time", "1686505230");
INSERT INTO `wp_postmeta` VALUES("575", "275", "_edit_lock", "1686510161:1");
INSERT INTO `wp_postmeta` VALUES("576", "275", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("577", "275", "_wp_trash_meta_time", "1686510171");
INSERT INTO `wp_postmeta` VALUES("578", "276", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("579", "276", "_wp_trash_meta_time", "1686510245");
INSERT INTO `wp_postmeta` VALUES("580", "277", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("581", "277", "_wp_trash_meta_time", "1686510287");
INSERT INTO `wp_postmeta` VALUES("582", "278", "_edit_lock", "1686510341:1");
INSERT INTO `wp_postmeta` VALUES("583", "278", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("584", "278", "_wp_trash_meta_time", "1686510346");
INSERT INTO `wp_postmeta` VALUES("585", "279", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("586", "279", "_wp_trash_meta_time", "1686510371");
INSERT INTO `wp_postmeta` VALUES("587", "280", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("588", "280", "_wp_trash_meta_time", "1686510386");
INSERT INTO `wp_postmeta` VALUES("589", "281", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("590", "281", "_wp_trash_meta_time", "1686510452");
INSERT INTO `wp_postmeta` VALUES("591", "282", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("592", "282", "_wp_trash_meta_time", "1686510469");
INSERT INTO `wp_postmeta` VALUES("593", "283", "_edit_lock", "1686510521:1");
INSERT INTO `wp_postmeta` VALUES("594", "283", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("595", "283", "_wp_trash_meta_time", "1686510575");
INSERT INTO `wp_postmeta` VALUES("596", "284", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("597", "284", "_wp_trash_meta_time", "1686510668");
INSERT INTO `wp_postmeta` VALUES("598", "286", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("599", "286", "_wp_trash_meta_time", "1686511335");
INSERT INTO `wp_postmeta` VALUES("606", "296", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("608", "239", "_wp_attachment_backup_sizes", "a:7:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:42:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled.jpg\";}s:14:\"thumbnail-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5514;}s:11:\"medium-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12491;}s:17:\"medium_large-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60910;}s:10:\"large-orig\";a:5:{s:4:\"file\";s:44:\"ian-dooley-_-JR5TxKNSo-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100060;}s:14:\"1536x1536-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:196588;}s:14:\"2048x2048-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:318241;}}");
INSERT INTO `wp_postmeta` VALUES("609", "297", "_wp_attached_file", "2023/06/image-1.webp");
INSERT INTO `wp_postmeta` VALUES("610", "297", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-1.webp\";s:8:\"filesize\";i:288156;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-1-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3112;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-1-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31506;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-1-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1864;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-1-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15240;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-1-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:84262;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-1-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:146440;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-1-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52700;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-1-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:138746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("611", "298", "_wp_attached_file", "2023/06/image-2.webp");
INSERT INTO `wp_postmeta` VALUES("612", "298", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-2.webp\";s:8:\"filesize\";i:270136;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-2-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5372;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-2-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46632;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2220;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-2-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:27736;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-2-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:110584;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-2-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:182492;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-2-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:73598;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-2-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:173166;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("613", "299", "_wp_attached_file", "2023/06/image-3.webp");
INSERT INTO `wp_postmeta` VALUES("614", "299", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-3.webp\";s:8:\"filesize\";i:84062;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-3-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2804;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-3-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:17676;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1290;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-3-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10928;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-3-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34032;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-3-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53684;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-3-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24076;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-3-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("615", "300", "_wp_attached_file", "2023/06/image-8.webp");
INSERT INTO `wp_postmeta` VALUES("616", "300", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-8.webp\";s:8:\"filesize\";i:342304;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-8-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10276;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-8-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:78936;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-8-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5192;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-8-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:47922;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-8-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:157052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-8-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:245576;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-8-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:109668;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-8-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:234728;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("617", "301", "_wp_attached_file", "2023/06/image-13.webp");
INSERT INTO `wp_postmeta` VALUES("618", "301", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-13.webp\";s:8:\"filesize\";i:300806;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-13-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9564;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-13-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:66832;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-13-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4364;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-13-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:41874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-13-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:127670;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-13-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:195262;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-13-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:90678;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-13-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:186272;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("619", "302", "_wp_attached_file", "2023/06/image-15.webp");
INSERT INTO `wp_postmeta` VALUES("620", "302", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-15.webp\";s:8:\"filesize\";i:318078;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-15-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10176;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-15-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-15-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4780;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-15-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39774;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-15-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107440;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-15-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:168928;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-15-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:79224;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-15-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:159318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("621", "303", "_wp_attached_file", "2023/06/image-16.webp");
INSERT INTO `wp_postmeta` VALUES("622", "303", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-16.webp\";s:8:\"filesize\";i:227012;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-16-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5070;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-16-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29116;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-16-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2794;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-16-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18420;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-16-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:60762;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-16-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:105706;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-16-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:40680;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-16-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:99544;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("623", "304", "_wp_attached_file", "2023/06/image-18.webp");
INSERT INTO `wp_postmeta` VALUES("624", "304", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-18.webp\";s:8:\"filesize\";i:187502;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-18-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5124;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-18-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34968;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-18-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2926;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-18-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:21650;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-18-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:69176;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-18-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:115202;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-18-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:50264;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-18-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:108570;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("625", "305", "_wp_attached_file", "2023/06/image-20.webp");
INSERT INTO `wp_postmeta` VALUES("626", "305", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-20.webp\";s:8:\"filesize\";i:239318;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-20-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2712;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-20-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29904;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-20-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1240;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-20-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14690;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-20-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:82738;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-20-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:150336;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-20-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52814;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-20-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:141050;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("627", "306", "_wp_attached_file", "2023/06/image-23.webp");
INSERT INTO `wp_postmeta` VALUES("628", "306", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-23.webp\";s:8:\"filesize\";i:170792;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-23-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4588;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-23-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32490;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-23-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2286;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-23-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19538;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-23-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:67052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-23-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107622;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-23-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46288;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-23-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:101470;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("629", "307", "_wp_attached_file", "2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg");
INSERT INTO `wp_postmeta` VALUES("630", "307", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:54:\"2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg\";s:8:\"filesize\";i:636180;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12525;}s:5:\"large\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103319;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4096;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61551;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:216224;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:357091;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1200x841.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145964;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1980x1388.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:337504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("632", "22", "_thumbnail_id", "307");
INSERT INTO `wp_postmeta` VALUES("633", "308", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("634", "308", "_wp_trash_meta_time", "1686810904");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("1", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:paragraph -->\n<p>Welcome to WordPress. This is your first post. Edit or delete it, then start writing!</p>\n<!-- /wp:paragraph -->", "Hello world!", "", "trash", "open", "open", "", "hello-world__trashed", "", "", "2023-06-10 06:40:40", "2023-06-10 06:40:40", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=1", "0", "post", "", "1");
INSERT INTO `wp_posts` VALUES("2", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/exams/midterms-summer-2023/first-attempt.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("4", "1", "2023-06-10 06:24:19", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-06-10 06:24:19", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=4", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "christophe-rollando-qjwd5VipY64-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-qjwd5vipy64-unsplash", "", "", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2021-06-10 06:38:40", "2021-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Accusantium doloribus autem", "", "publish", "open", "open", "", "quo-ratione-aspernatur", "", "", "2023-06-10 23:49:44", "2023-06-10 23:49:44", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=7", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "", "7", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=8", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("9", "1", "2021-06-10 06:40:30", "2021-06-10 06:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae quis nam", "", "publish", "open", "open", "", "quo-ratione-aspernatur-3", "", "", "2023-06-10 23:49:25", "2023-06-10 23:49:25", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=9", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("10", "1", "2021-06-10 06:41:02", "2021-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et nihil pariatur", "", "publish", "open", "open", "", "quo-ratione-aspernatur-16", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=10", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2021-06-10 06:40:15", "2021-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Veniam iste obcaecati", "", "publish", "open", "open", "", "quo-ratione-aspernatur-2", "", "", "2023-06-10 23:49:35", "2023-06-10 23:49:35", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=11", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "", "11", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=12", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "", "9", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=13", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2023-06-10 06:40:40", "2023-06-10 06:40:40", "<!-- wp:paragraph -->\n<p>Welcome to WordPress. This is your first post. Edit or delete it, then start writing!</p>\n<!-- /wp:paragraph -->", "Hello world!", "", "inherit", "closed", "closed", "", "1-revision-v1", "", "", "2023-06-10 06:40:40", "2023-06-10 06:40:40", "", "1", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=14", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2018-06-10 06:41:02", "2018-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et ducimus eum", "", "publish", "open", "open", "", "quo-ratione-aspernatur-12", "", "", "2023-06-10 23:50:30", "2023-06-10 23:50:30", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=15", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("16", "1", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Eveniet excepturi illo", "", "publish", "open", "open", "", "quo-ratione-aspernatur-13", "", "", "2023-06-10 23:50:57", "2023-06-10 23:50:57", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=16", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("17", "1", "2016-06-10 06:41:02", "2016-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fugiat eius nulla", "", "publish", "open", "open", "", "quo-ratione-aspernatur-14", "", "", "2023-06-10 23:51:28", "2023-06-10 23:51:28", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=17", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("18", "1", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Obcaecati numquam nihil", "", "publish", "open", "open", "", "quo-ratione-aspernatur-15", "", "", "2023-06-11 00:43:58", "2023-06-11 00:43:58", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=18", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("19", "1", "2018-06-10 06:41:01", "2018-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "publish", "open", "open", "", "quo-ratione-aspernatur-4", "", "", "2023-06-11 17:07:29", "2023-06-11 17:07:29", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=19", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Odio doloremque numquam", "", "publish", "open", "open", "", "quo-ratione-aspernatur-5", "", "", "2023-06-12 20:52:52", "2023-06-12 20:52:52", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=20", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Omnis voluptate itaque", "", "publish", "open", "open", "", "quo-ratione-aspernatur-6", "", "", "2023-06-10 23:50:16", "2023-06-10 23:50:16", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=21", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2022-06-10 06:41:01", "2022-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Minus impedit vel", "", "publish", "open", "open", "", "quo-ratione-aspernatur-7", "", "", "2023-06-12 20:49:01", "2023-06-12 20:49:01", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=22", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Temporibus placeat illum", "", "publish", "open", "open", "", "quo-ratione-aspernatur-8", "", "", "2023-06-10 23:48:42", "2023-06-10 23:48:42", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=23", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae perspiciatis? Quam", "", "publish", "open", "open", "", "quo-ratione-aspernatur-9", "", "", "2023-06-10 23:48:51", "2023-06-10 23:48:51", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=24", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quas perferendis incidunt", "", "publish", "open", "open", "", "quo-ratione-aspernatur-10", "", "", "2023-06-10 23:49:03", "2023-06-10 23:49:03", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=25", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Consectetur nulla soluta", "", "publish", "open", "open", "", "quo-ratione-aspernatur-11", "", "", "2023-06-10 23:49:15", "2023-06-10 23:49:15", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=26", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "19", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=27", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "20", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=28", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "21", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=29", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "22", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=30", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "23", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=31", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "24", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=32", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "25", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=33", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "26", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=34", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "15", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=35", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "16", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=36", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "17", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=37", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "18", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=38", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "10", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=39", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2023-06-10 06:41:53", "0000-00-00 00:00:00", " ", "", "", "draft", "closed", "closed", "", "", "", "", "2023-06-10 06:41:53", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=41", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2023-06-10 06:51:47", "2023-06-10 06:51:47", "{\n    \"generate_settings[global_colors]\": {\n        \"value\": [\n            {\n                \"name\": \"Contrast\",\n                \"slug\": \"contrast\",\n                \"color\": \"#222222\"\n            },\n            {\n                \"name\": \"Contrast 2\",\n                \"slug\": \"contrast-2\",\n                \"color\": \"#575760\"\n            },\n            {\n                \"name\": \"Contrast 3\",\n                \"slug\": \"contrast-3\",\n                \"color\": \"#b2b2be\"\n            },\n            {\n                \"name\": \"Base\",\n                \"slug\": \"base\",\n                \"color\": \"#f0f0f0\"\n            },\n            {\n                \"name\": \"Base 2\",\n                \"slug\": \"base-2\",\n                \"color\": \"#f7f8f9\"\n            },\n            {\n                \"name\": \"Base 3\",\n                \"slug\": \"base-3\",\n                \"color\": \"#ffffff\"\n            },\n            {\n                \"name\": \"Accent\",\n                \"slug\": \"accent\",\n                \"color\": \"#ff69b4\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:50:19\"\n    },\n    \"generate_settings[top_bar_background_color]\": {\n        \"value\": \"var(--contrast)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:50:19\"\n    },\n    \"generate_settings[footer_background_color]\": {\n        \"value\": \"var(--contrast)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:50:19\"\n    },\n    \"generate_settings[header_background_color]\": {\n        \"value\": \"var(--contrast-2)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:19\"\n    },\n    \"generate_settings[header_text_color]\": {\n        \"value\": \"var(--base-3)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:19\"\n    },\n    \"generate_settings[content_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:19\"\n    },\n    \"generate_settings[footer_text_color]\": {\n        \"value\": \"var(--base-3)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:19\"\n    },\n    \"generate_settings[footer_link_color]\": {\n        \"value\": \"var(--accent)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:19\"\n    },\n    \"generatepress::nav_menu_locations[primary]\": {\n        \"value\": 6,\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:47\"\n    },\n    \"generate_settings[navigation_background_color]\": {\n        \"value\": \"var(--contrast-3)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:51:47\"\n    }\n}", "", "", "trash", "closed", "closed", "", "58e829e6-629e-4948-9b03-67b1fa960f6a", "", "", "2023-06-10 06:51:47", "2023-06-10 06:51:47", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=48", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2023-06-10 06:53:01", "0000-00-00 00:00:00", "{\n    \"generate_settings[font_manager]\": {\n        \"value\": [\n            {\n                \"fontFamily\": \"Poppins\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"sans-serif\",\n                \"googleFontVariants\": \"100, 100italic, 200, 200italic, 300, 300italic, regular, italic, 500, 500italic, 600, 600italic, 700, 700italic, 800, 800italic, 900, 900italic\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:53:01\"\n    },\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 0\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:53:01\"\n    }\n}", "", "", "auto-draft", "closed", "closed", "", "4bd962dc-95cd-482f-a80c-c160d4d481bf", "", "", "2023-06-10 06:53:01", "2023-06-10 06:53:01", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=49", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2023-06-10 06:55:38", "2023-06-10 06:55:38", "{\n    \"generate_settings[layout_setting]\": {\n        \"value\": \"no-sidebar\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:55:38\"\n    },\n    \"generate_settings[blog_layout_setting]\": {\n        \"value\": \"no-sidebar\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:55:38\"\n    },\n    \"generate_settings[single_layout_setting]\": {\n        \"value\": \"no-sidebar\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:55:38\"\n    }\n}", "", "", "trash", "closed", "closed", "", "e55618aa-370f-4984-afc8-def3d18c7ce6", "", "", "2023-06-10 06:55:38", "2023-06-10 06:55:38", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/e55618aa-370f-4984-afc8-def3d18c7ce6/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2023-06-10 07:06:29", "2023-06-10 07:06:29", "{\n    \"generate_settings[container_width]\": {\n        \"value\": \"835\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:56:16\"\n    },\n    \"generate_settings[content_layout_setting]\": {\n        \"value\": \"one-container\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:56:16\"\n    },\n    \"generate_settings[container_alignment]\": {\n        \"value\": \"text\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:56:16\"\n    },\n    \"generate_settings[header_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:57:17\"\n    },\n    \"generate_settings[navigation_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:57:17\"\n    },\n    \"sidebars_widgets[top-bar]\": {\n        \"value\": [\n            \"block-8\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 06:58:16\"\n    },\n    \"widget_block[8]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"width\\\":100,\\\"widthUnit\\\":\\\"%\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"buttonPosition\\\":\\\"button-inside\\\",\\\"buttonUseIcon\\\":true,\\\"align\\\":\\\"center\\\",\\\"backgroundColor\\\":\\\"contrast-2\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:00:16\"\n    },\n    \"generate_settings[top_bar_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:04:06\"\n    },\n    \"generate_settings[top_bar_inner_width]\": {\n        \"value\": \"full\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:05:06\"\n    },\n    \"generate_settings[top_bar_alignment]\": {\n        \"value\": \"right\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:05:06\"\n    },\n    \"sidebars_widgets[footer-3]\": {\n        \"value\": [],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:06:29\"\n    },\n    \"widget_block[9]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:heading -->\\n<h2 class=\\\"wp-block-heading\\\"></h2>\\n<!-- /wp:heading -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:06:06\"\n    },\n    \"widget_block[10]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"showLabel\\\":false,\\\"buttonText\\\":\\\"Search\\\",\\\"buttonUseIcon\\\":true,\\\"align\\\":\\\"center\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:06:06\"\n    },\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [\n            \"block-10\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:06:29\"\n    }\n}", "", "", "trash", "closed", "closed", "", "1780d795-41cf-4f7d-8e64-ce38f289c6ff", "", "", "2023-06-10 07:06:29", "2023-06-10 07:06:29", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=51", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2023-06-10 07:07:43", "2023-06-10 07:07:43", "{\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [\n            \"block-11\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:07:06\"\n    },\n    \"widget_block[11]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"fontSize\\\":\\\"small\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:07:43\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a46b32be-6990-4c29-afa8-880c59b9bf12", "", "", "2023-06-10 07:07:43", "2023-06-10 07:07:43", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=52", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2023-06-10 07:08:08", "2023-06-10 07:08:08", "{\n    \"sidebars_widgets[top-bar]\": {\n        \"value\": [\n            \"block-8\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:08:06\"\n    },\n    \"widget_block[8]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"width\\\":100,\\\"widthUnit\\\":\\\"%\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"buttonPosition\\\":\\\"button-inside\\\",\\\"buttonUseIcon\\\":true,\\\"align\\\":\\\"center\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:08:08\"\n    }\n}", "", "", "trash", "closed", "closed", "", "f6e1ff87-43e4-4c5e-a28b-88dfdde57e36", "", "", "2023-06-10 07:08:08", "2023-06-10 07:08:08", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=53", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2023-06-10 07:09:38", "2023-06-10 07:09:38", "{\n    \"generate_settings[footer_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:09:06\"\n    },\n    \"generate_settings[footer_text_color]\": {\n        \"value\": \"var(--contrast)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:09:06\"\n    },\n    \"widget_block[11]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"fontSize\\\":\\\"small\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:09:38\"\n    }\n}", "", "", "trash", "closed", "closed", "", "1f16f755-0778-486b-825e-69761ff85aeb", "", "", "2023-06-10 07:09:38", "2023-06-10 07:09:38", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=54", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2023-06-10 07:10:20", "2023-06-10 07:10:20", "{\n    \"widget_block[11]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"buttonPosition\\\":\\\"button-inside\\\",\\\"fontSize\\\":\\\"small\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:10:20\"\n    }\n}", "", "", "trash", "closed", "closed", "", "56f6fcba-847f-4e2c-8104-7cbed16f3b14", "", "", "2023-06-10 07:10:20", "2023-06-10 07:10:20", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/56f6fcba-847f-4e2c-8104-7cbed16f3b14/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2023-06-10 07:10:32", "2023-06-10 07:10:32", "{\n    \"widget_block[11]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"buttonText\\\":\\\"Search\\\",\\\"buttonPosition\\\":\\\"button-inside\\\",\\\"align\\\":\\\"left\\\",\\\"fontSize\\\":\\\"small\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:10:32\"\n    }\n}", "", "", "trash", "closed", "closed", "", "237e1e8f-d07f-4b73-8db3-026c2171eb62", "", "", "2023-06-10 07:10:32", "2023-06-10 07:10:32", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/237e1e8f-d07f-4b73-8db3-026c2171eb62/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2023-06-10 07:17:00", "2023-06-10 07:17:00", "{\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:12:42\"\n    },\n    \"generate_settings[font_manager]\": {\n        \"value\": [\n            {\n                \"fontFamily\": \"Poppins\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"sans-serif\",\n                \"googleFontVariants\": \"100, 100italic, 200, 200italic, 300, 300italic, regular, italic, 500, 500italic, 600, 600italic, 700, 700italic, 800, 800italic, 900, 900italic\"\n            },\n            {\n                \"fontFamily\": \"Bitter\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"serif\",\n                \"googleFontVariants\": \"100, 200, 300, regular, 500, 600, 700, 800, 900, 100italic, 200italic, 300italic, italic, 500italic, 600italic, 700italic, 800italic, 900italic\"\n            },\n            {\n                \"fontFamily\": \"\",\n                \"googleFont\": false,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"\",\n                \"googleFontVariants\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:15:49\"\n    },\n    \"widget_block[11]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:search {\\\"label\\\":\\\"Search\\\",\\\"buttonText\\\":\\\"Search\\\"} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:12:42\"\n    },\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 0,\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"marginBottomUnit\": \"em\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 1,\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"marginBottomUnit\": \"px\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:16:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b325dd12-2e6c-4240-9392-33a2df74eb7b", "", "", "2023-06-10 07:17:00", "2023-06-10 07:17:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=57", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2023-06-10 07:18:38", "2023-06-10 07:18:38", "{\n    \"generate_settings[font_manager]\": {\n        \"value\": [\n            {\n                \"fontFamily\": \"Poppins\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"sans-serif\",\n                \"googleFontVariants\": \"100, 100italic, 200, 200italic, 300, 300italic, regular, italic, 500, 500italic, 600, 600italic, 700, 700italic, 800, 800italic, 900, 900italic\"\n            },\n            {\n                \"fontFamily\": \"Bitter\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"serif\",\n                \"googleFontVariants\": \"100, 200, 300, regular, 500, 600, 700, 800, 900, 100italic, 200italic, 300italic, italic, 500italic, 600italic, 700italic, 800italic, 900italic\"\n            },\n            {\n                \"fontFamily\": \"\",\n                \"googleFont\": false,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"\",\n                \"googleFontVariants\": \"\"\n            },\n            {\n                \"fontFamily\": \"\",\n                \"googleFont\": false,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"\",\n                \"googleFontVariants\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:17:49\"\n    },\n    \"blogdescription\": {\n        \"value\": \"Social Distortion\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:18:38\"\n    },\n    \"generate_settings[hide_tagline]\": {\n        \"value\": true,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:18:38\"\n    }\n}", "", "", "trash", "closed", "closed", "", "0f6e0907-d022-4420-a7da-59d6f268c1cf", "", "", "2023-06-10 07:18:38", "2023-06-10 07:18:38", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=58", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2023-06-10 07:21:12", "2023-06-10 07:21:12", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 0,\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"marginBottomUnit\": \"em\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 1,\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"marginBottomUnit\": \"px\"\n            },\n            {\n                \"selector\": \"\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:21:12\"\n    }\n}", "", "", "trash", "closed", "closed", "", "111965e3-68aa-408b-aefd-abac0b6f2f65", "", "", "2023-06-10 07:21:12", "2023-06-10 07:21:12", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=59", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2023-06-10 07:21:52", "2023-06-10 07:21:52", "{\n    \"generate_settings[background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:21:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "02aad995-6e74-4256-bf9c-db2df22eb1b0", "", "", "2023-06-10 07:21:52", "2023-06-10 07:21:52", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=60", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2023-06-10 07:23:24", "2023-06-10 07:23:24", "{\n    \"generate_settings[global_colors]\": {\n        \"value\": [\n            {\n                \"name\": \"contrast\",\n                \"slug\": \"contrast\",\n                \"color\": \"#222222\"\n            },\n            {\n                \"name\": \"contrast-2\",\n                \"slug\": \"contrast-2\",\n                \"color\": \"#575760\"\n            },\n            {\n                \"name\": \"contrast-3\",\n                \"slug\": \"contrast-3\",\n                \"color\": \"#b2b2be\"\n            },\n            {\n                \"name\": \"base\",\n                \"slug\": \"base\",\n                \"color\": \"#f0f0f0\"\n            },\n            {\n                \"name\": \"base-2\",\n                \"slug\": \"base-2\",\n                \"color\": \"#f7f8f9\"\n            },\n            {\n                \"name\": \"base-3\",\n                \"slug\": \"base-3\",\n                \"color\": \"#ffffff\"\n            },\n            {\n                \"name\": \"accent\",\n                \"slug\": \"accent\",\n                \"color\": \"#ff69b4\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 07:23:24\"\n    }\n}", "", "", "trash", "closed", "closed", "", "d5de9dd7-e7db-438b-8ff2-968a469b8afa", "", "", "2023-06-10 07:23:24", "2023-06-10 07:23:24", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=61", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2023-06-10 07:35:24", "2023-06-10 07:35:24", "<!-- wp:navigation-link {\"label\":\"Home\",\"type\":\"custom\",\"url\":\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/\",\"kind\":\"custom\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "publish", "closed", "closed", "", "main-menu", "", "", "2023-06-10 07:35:24", "2023-06-10 07:35:24", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/main-menu/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Accusantium doloribus autem", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "7", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=75", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae quis nam", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "9", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=76", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et nihil pariatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "10", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=77", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Veniam iste obcaecati", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "11", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=78", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et ducimus eum", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "15", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=79", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Eveniet excepturi illo", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "16", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=80", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fugiat eius nulla", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "17", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=81", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Obcaecati numquam nihil", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "18", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=82", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Odio doloremque numquam", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "20", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=83", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Omnis voluptate itaque", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "21", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=84", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Minus impedit vel", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "22", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=85", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Temporibus placeat illum", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "23", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=86", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae perspiciatis? Quam", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "24", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=87", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quas perferendis incidunt", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "25", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=88", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Consectetur nulla soluta", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "26", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=89", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("90", "1", "2023-06-10 16:37:00", "2023-06-10 16:37:00", "{\n    \"show_on_front\": {\n        \"value\": \"page\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:36:49\"\n    },\n    \"page_on_front\": {\n        \"value\": \"46\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:36:49\"\n    },\n    \"generate_settings[content_layout_setting]\": {\n        \"value\": \"separate-containers\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:36:49\"\n    },\n    \"page_for_posts\": {\n        \"value\": \"91\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:37:00\"\n    },\n    \"nav_menus_created_posts\": {\n        \"value\": [\n            91\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:37:00\"\n    }\n}", "", "", "trash", "closed", "closed", "", "db704680-d5de-4859-9458-6a62b72a2026", "", "", "2023-06-10 16:37:00", "2023-06-10 16:37:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=90", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("93", "1", "2023-06-10 16:37:51", "2023-06-10 16:37:51", "{\n    \"generate_settings[global_colors]\": {\n        \"value\": [\n            {\n                \"name\": \"contrast\",\n                \"slug\": \"contrast\",\n                \"color\": \"#222222\"\n            },\n            {\n                \"name\": \"contrast-2\",\n                \"slug\": \"contrast-2\",\n                \"color\": \"#575760\"\n            },\n            {\n                \"name\": \"contrast-3\",\n                \"slug\": \"contrast-3\",\n                \"color\": \"#b2b2be\"\n            },\n            {\n                \"name\": \"base\",\n                \"slug\": \"base\",\n                \"color\": \"#f0f0f0\"\n            },\n            {\n                \"name\": \"base-2\",\n                \"slug\": \"base-2\",\n                \"color\": \"#f7f8f9\"\n            },\n            {\n                \"name\": \"base-3\",\n                \"slug\": \"base-3\",\n                \"color\": \"#ffffff\"\n            },\n            {\n                \"name\": \"accent\",\n                \"slug\": \"accent\",\n                \"color\": \"#ff7969\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:37:49\"\n    },\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 16:37:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a2c02975-56b7-46e9-a846-f1d333368715", "", "", "2023-06-10 16:37:51", "2023-06-10 16:37:51", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=93", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2023-06-10 18:34:57", "2023-06-10 18:34:57", "{\n    \"generate_settings[footer_background_color]\": {\n        \"value\": \"#000000\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 18:34:57\"\n    },\n    \"generate_settings[footer_text_color]\": {\n        \"value\": \"var(--base-3)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 17:59:18\"\n    }\n}", "", "", "trash", "closed", "closed", "", "19b42788-f947-4789-b08d-5688e8b2435a", "", "", "2023-06-10 18:34:57", "2023-06-10 18:34:57", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=107", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2023-06-10 20:48:32", "2023-06-10 20:48:32", "{\n    \"generate_settings[hide_tagline]\": {\n        \"value\": \"1\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:42:20\"\n    },\n    \"generate_header_helper\": {\n        \"value\": \"default\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"generate_settings[header_alignment_setting]\": {\n        \"value\": \"left\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:43:20\"\n    },\n    \"generate_settings[nav_alignment_setting]\": {\n        \"value\": \"left\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:48:32\"\n    },\n    \"generate_settings[nav_position_setting]\": {\n        \"value\": \"nav-float-right\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"generate_settings[top_bar_width]\": {\n        \"value\": \"full\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:43:20\"\n    },\n    \"generate_settings[top_bar_alignment]\": {\n        \"value\": \"center\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:43:20\"\n    },\n    \"generate_settings[header_inner_width]\": {\n        \"value\": \"full-width\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:43:20\"\n    },\n    \"sidebars_widgets[top-bar]\": {\n        \"value\": [\n            \"block-17\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:48:20\"\n    },\n    \"generate_settings[site_title_font_size]\": {\n        \"value\": \"25\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"generate_spacing_settings[header_top]\": {\n        \"value\": \"20\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"generate_spacing_settings[header_bottom]\": {\n        \"value\": \"20\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"generate_settings[container_alignment]\": {\n        \"value\": \"text\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:44:20\"\n    },\n    \"widget_block[17]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:generateblocks/grid {\\\"uniqueId\\\":\\\"e94b0a38\\\",\\\"columns\\\":0,\\\"isDynamic\\\":true,\\\"blockVersion\\\":3} /-->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:48:20\"\n    }\n}", "", "", "trash", "closed", "closed", "", "23bb5ec7-f8f3-4e26-9d98-61cbd8b7fde1", "", "", "2023-06-10 20:48:32", "2023-06-10 20:48:32", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=108", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2023-06-10 20:57:01", "2023-06-10 20:57:01", "{\n    \"generate_settings[container_width]\": {\n        \"value\": \"2560\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:57:01\"\n    },\n    \"generate_settings[content_layout_setting]\": {\n        \"value\": \"one-container\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:56:41\"\n    },\n    \"generate_settings[container_alignment]\": {\n        \"value\": \"boxes\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 20:56:41\"\n    }\n}", "", "", "trash", "closed", "closed", "", "00f256c1-e974-4395-b757-8701cdddf1f2", "", "", "2023-06-10 20:57:01", "2023-06-10 20:57:01", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=109", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2023-06-10 21:10:40", "2023-06-10 21:10:40", "{\n    \"generatepress::custom_logo\": {\n        \"value\": 116,\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:10:40\"\n    },\n    \"generate_settings[hide_title]\": {\n        \"value\": true,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:10:25\"\n    },\n    \"generate_settings[hide_tagline]\": {\n        \"value\": true,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:10:25\"\n    },\n    \"generate_settings[logo_width]\": {\n        \"value\": \"270\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:10:40\"\n    }\n}", "", "", "trash", "closed", "closed", "", "74a43def-ad0e-49b9-8b24-30ad9a7e5cb1", "", "", "2023-06-10 21:10:40", "2023-06-10 21:10:40", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=115", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\nhome.page-template-default .entry-title {\\n\\tdisplay: none;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:11:46\"\n    }\n}", "", "", "trash", "closed", "closed", "", "06a134bd-88f1-48f6-99d6-6be55f859497", "", "", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/06a134bd-88f1-48f6-99d6-6be55f859497/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "generatepress", "", "publish", "closed", "closed", "", "generatepress", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/generatepress/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "\nhome.page-template-default .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=119", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2023-06-10 21:12:14", "2023-06-10 21:12:14", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\nhome.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:12:14\"\n    }\n}", "", "", "trash", "closed", "closed", "", "91aaf3c2-a72f-4ec4-8899-44a74fb3609e", "", "", "2023-06-10 21:12:14", "2023-06-10 21:12:14", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/91aaf3c2-a72f-4ec4-8899-44a74fb3609e/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("121", "1", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 21:12:50\"\n    }\n}", "", "", "trash", "closed", "closed", "", "47f0951e-cacd-42f3-933f-95c44e357dd4", "", "", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/47f0951e-cacd-42f3-933f-95c44e357dd4/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "\n.home.page-template-default  .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=122", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "a65-design-XKqbBmCcJPg-unsplash", "", "inherit", "open", "closed", "", "a65-design-xkqbbmccjpg-unsplash", "", "", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "dada_design-o5GiFSl5iYw-unsplash", "", "inherit", "open", "closed", "", "dada_design-o5gifsl5iyw-unsplash", "", "", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/dada_design-o5GiFSl5iYw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "dada_design-vWyq7C2lfFg-unsplash", "", "inherit", "open", "closed", "", "dada_design-vwyq7c2lffg-unsplash", "", "", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "filip-baotic-4go5Rx5ivWE-unsplash", "", "inherit", "open", "closed", "", "filip-baotic-4go5rx5ivwe-unsplash", "", "", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "guven-gunes-FkFJ5587Hzk-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-fkfj5587hzk-unsplash", "", "", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "guven-gunes-Iy3GN4iPLW8-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-iy3gn4iplw8-unsplash", "", "", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "medhat-aiad-eE3Dl0zrDPI-unsplash", "", "inherit", "open", "closed", "", "medhat-aiad-ee3dl0zrdpi-unsplash", "", "", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "muhammad-ilyas-3f8vysI8ITE-unsplash", "", "inherit", "open", "closed", "", "muhammad-ilyas-3f8vysi8ite-unsplash", "", "", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "planet-volumes-oUrqWiOz_sg-unsplash", "", "inherit", "open", "closed", "", "planet-volumes-ourqwioz_sg-unsplash", "", "", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "raspopova-marina-62-SHh-VxBQ-unsplash", "", "inherit", "open", "closed", "", "raspopova-marina-62-shh-vxbq-unsplash", "", "", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "thestandingdesk-JoHD6SSI_Ig-unsplash", "", "inherit", "open", "closed", "", "thestandingdesk-johd6ssi_ig-unsplash", "", "", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2023-06-10 23:54:46", "2023-06-10 23:54:46", "{\n    \"generate_settings[footer_background_color]\": {\n        \"value\": \"var(--base)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 23:54:46\"\n    },\n    \"generate_settings[footer_text_color]\": {\n        \"value\": \"var(--contrast)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 23:54:46\"\n    }\n}", "", "", "trash", "closed", "closed", "", "7bf5a6a4-2566-4fa3-ba6b-3ee543d08425", "", "", "2023-06-10 23:54:46", "2023-06-10 23:54:46", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/7bf5a6a4-2566-4fa3-ba6b-3ee543d08425/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2023-06-10 23:55:07", "2023-06-10 23:55:07", "{\n    \"generate_settings[global_colors]\": {\n        \"value\": [\n            {\n                \"name\": \"contrast\",\n                \"slug\": \"contrast\",\n                \"color\": \"#222222\"\n            },\n            {\n                \"name\": \"contrast-2\",\n                \"slug\": \"contrast-2\",\n                \"color\": \"#575760\"\n            },\n            {\n                \"name\": \"contrast-3\",\n                \"slug\": \"contrast-3\",\n                \"color\": \"#b2b2be\"\n            },\n            {\n                \"name\": \"base\",\n                \"slug\": \"base\",\n                \"color\": \"#f0f0f0\"\n            },\n            {\n                \"name\": \"base-2\",\n                \"slug\": \"base-2\",\n                \"color\": \"#f7f8f9\"\n            },\n            {\n                \"name\": \"base-3\",\n                \"slug\": \"base-3\",\n                \"color\": \"#ffffff\"\n            },\n            {\n                \"name\": \"accent\",\n                \"slug\": \"accent\",\n                \"color\": \"hotpink\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 23:55:07\"\n    }\n}", "", "", "trash", "closed", "closed", "", "1ef836d8-a3c5-401f-b055-069a4fcce894", "", "", "2023-06-10 23:55:07", "2023-06-10 23:55:07", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/1ef836d8-a3c5-401f-b055-069a4fcce894/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2023-06-10 23:55:53", "2023-06-10 23:55:53", "{\n    \"nav_menu_item[-3839760194174750700]\": {\n        \"value\": {\n            \"object_id\": 91,\n            \"object\": \"page\",\n            \"menu_item_parent\": 0,\n            \"position\": 6,\n            \"type\": \"post_type\",\n            \"title\": \"Posts\",\n            \"url\": \"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/blog/\",\n            \"target\": \"\",\n            \"attr_title\": \"\",\n            \"description\": \"\",\n            \"classes\": \"\",\n            \"xfn\": \"\",\n            \"status\": \"publish\",\n            \"original_title\": \"Blog\",\n            \"nav_menu_term_id\": 6,\n            \"_invalid\": false,\n            \"type_label\": \"Posts Page\"\n        },\n        \"type\": \"nav_menu_item\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 23:55:53\"\n    }\n}", "", "", "trash", "closed", "closed", "", "2e922c87-5492-4b86-a60e-b235c6e6679a", "", "", "2023-06-10 23:55:53", "2023-06-10 23:55:53", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/10/2e922c87-5492-4b86-a60e-b235c6e6679a/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.archive .entry-summary {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-10 23:59:30\"\n    }\n}", "", "", "trash", "closed", "closed", "", "65f54c5f-0544-4ecd-b363-53d8002f6823", "", "", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=175", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=176", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:00:00\"\n    }\n}", "", "", "trash", "closed", "closed", "", "e847c862-e75b-44c6-b61e-19a154e20e71", "", "", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/e847c862-e75b-44c6-b61e-19a154e20e71/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=178", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive .post .entry-summary {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:05:34\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b1c9e715-70cc-4b64-b6e1-53951d7477c2", "", "", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=179", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .post .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=180", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive .entry-summary {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:05:55\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a21562b0-db44-4969-ac07-5881913d2a83", "", "", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/a21562b0-db44-4969-ac07-5881913d2a83/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=182", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive .entry-meta {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:06:17\"\n    }\n}", "", "", "trash", "closed", "closed", "", "5bc84052-5fbf-4c4d-878d-eecd1bfa49c8", "", "", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/5bc84052-5fbf-4c4d-878d-eecd1bfa49c8/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=184", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 70ch;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:06:47\"\n    }\n}", "", "", "trash", "closed", "closed", "", "3138362f-cc34-449f-a86d-8ab2ef1a6903", "", "", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/3138362f-cc34-449f-a86d-8ab2ef1a6903/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=186", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2023-06-11 00:11:01", "2023-06-11 00:11:01", "{\n    \"generate_settings[logo_width]\": {\n        \"value\": \"200\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:11:01\"\n    }\n}", "", "", "trash", "closed", "closed", "", "129e3859-017b-4540-bbf1-8fede8d47fdd", "", "", "2023-06-11 00:11:01", "2023-06-11 00:11:01", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/129e3859-017b-4540-bbf1-8fede8d47fdd/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2023-06-11 00:24:26", "2023-06-11 00:24:26", "{\n    \"site_icon\": {\n        \"value\": 189,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:22:38\"\n    },\n    \"generatepress::custom_logo\": {\n        \"value\": 192,\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:24:26\"\n    }\n}", "", "", "trash", "closed", "closed", "", "02f245c1-1dfa-48e7-937a-747d4270a9d6", "", "", "2023-06-11 00:24:26", "2023-06-11 00:24:26", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=190", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2023-06-11 00:25:58", "2023-06-11 00:25:58", "{\n    \"generate_settings[retina_logo]\": {\n        \"value\": \"\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:25:38\"\n    },\n    \"generatepress::custom_logo\": {\n        \"value\": 194,\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:25:38\"\n    },\n    \"site_icon\": {\n        \"value\": 189,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:25:58\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b4cfa7aa-7533-4895-bd36-195767fdc103", "", "", "2023-06-11 00:25:58", "2023-06-11 00:25:58", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=193", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2023-06-11 00:26:50", "2023-06-11 00:26:50", "{\n    \"site_icon\": {\n        \"value\": 197,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:26:38\"\n    }\n}", "", "", "trash", "closed", "closed", "", "446c2caa-ef22-4037-a15d-ddd8fbc04b8d", "", "", "2023-06-11 00:26:50", "2023-06-11 00:26:50", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=198", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2023-06-11 00:28:13", "2023-06-11 00:28:13", "{\n    \"generatepress::custom_logo\": {\n        \"value\": 199,\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:28:13\"\n    }\n}", "", "", "trash", "closed", "closed", "", "ca56a132-4673-4af3-a4f9-5041e3a17fad", "", "", "2023-06-11 00:28:13", "2023-06-11 00:28:13", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/ca56a132-4673-4af3-a4f9-5041e3a17fad/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n}\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:35:27\"\n    }\n}", "", "", "trash", "closed", "closed", "", "1b1c3546-cb5d-4a84-b009-d1ae54785535", "", "", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/1b1c3546-cb5d-4a84-b009-d1ae54785535/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=202", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n}\\n\\n.blog article:nth-of-type(odd) .entry-summary {\\n\\tmargin-left: unset;\\n}\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:37:15\"\n    }\n}", "", "", "trash", "closed", "closed", "", "9a53562c-3f13-4a7d-a793-46232fd4f721", "", "", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=203", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=204", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n}\\n\\n.blog article:nth-of-type(odd) .entry-summary {\\n\\tmargin-left: unset;\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 20px solid #ddd;\\n\\twidth: 50px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:41:09\"\n    }\n}", "", "", "trash", "closed", "closed", "", "4080d290-2c76-4610-99d2-b2ba35bd7a3d", "", "", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=205", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #ddd;\n	width: 50px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=206", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2023-06-11 00:43:44", "2023-06-11 00:43:44", "{\n    \"site_icon\": {\n        \"value\": 208,\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 00:43:44\"\n    }\n}", "", "", "trash", "closed", "closed", "", "845ca0a5-17e0-4329-8356-e6e4868abee3", "", "", "2023-06-11 00:43:44", "2023-06-11 00:43:44", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/845ca0a5-17e0-4329-8356-e6e4868abee3/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.blog article:nth-of-type(odd) .entry-summary {\\n\\tmargin-left: unset;\\n}\\n\\n\\n@media screen and (min-width: 900px) {\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmargin-right: unset;\\n}\\n}\\n\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 20px solid #eee;\\n\\twidth: 500px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:01:13\"\n    }\n}", "", "", "trash", "closed", "closed", "", "6be9bf92-9933-4a95-a473-d866e686755a", "", "", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=210", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #eee;\n	width: 500px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=211", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n}\\n\\n\\n@media screen and (min-width: 900px) {\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmargin-right: unset;\\n}\\n}\\n\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 5px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:04:45\"\n    }\n}", "", "", "trash", "closed", "closed", "", "8325de2b-8e97-4930-901f-2823cfacdac9", "", "", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=212", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=213", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n}\\n\\n\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 5px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:07:13\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a5a1c6a2-a73a-40ac-a7db-8059b3e31086", "", "", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=214", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=215", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t\\tbackground: pink;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 5px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:10:41\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a9e2ea68-df8e-4fd3-b1dd-e92d3fd8ffff", "", "", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=216", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n		background: pink;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=217", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 5px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:10:55\"\n    }\n}", "", "", "trash", "closed", "closed", "", "c7017234-3ab3-469e-9b1c-9cc2422a5bb5", "", "", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/c7017234-3ab3-469e-9b1c-9cc2422a5bb5/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=219", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2023-06-11 01:51:25", "2023-06-11 01:51:25", "{\n    \"generate_settings[global_colors]\": {\n        \"value\": [\n            {\n                \"name\": \"contrast\",\n                \"slug\": \"contrast\",\n                \"color\": \"#222222\"\n            },\n            {\n                \"name\": \"contrast-2\",\n                \"slug\": \"contrast-2\",\n                \"color\": \"#575760\"\n            },\n            {\n                \"name\": \"contrast-3\",\n                \"slug\": \"contrast-3\",\n                \"color\": \"#b2b2be\"\n            },\n            {\n                \"name\": \"base\",\n                \"slug\": \"base\",\n                \"color\": \"#f0f0f0\"\n            },\n            {\n                \"name\": \"base-2\",\n                \"slug\": \"base-2\",\n                \"color\": \"#f7f8f9\"\n            },\n            {\n                \"name\": \"base-3\",\n                \"slug\": \"base-3\",\n                \"color\": \"#ffffff\"\n            },\n            {\n                \"name\": \"accent\",\n                \"slug\": \"accent\",\n                \"color\": \"#ff69b4\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:51:25\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a5f818d8-e398-40e0-8c0a-aa745ba3e724", "", "", "2023-06-11 01:51:25", "2023-06-11 01:51:25", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=220", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid hotpink;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:52:19\"\n    }\n}", "", "", "trash", "closed", "closed", "", "d7906783-c05d-4603-8e33-d9d2f946c5df", "", "", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=221", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=222", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.single .entry-content {\\n\\tmax-width: 640px;\\n\\tmargin: auto;\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid hotpink;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:53:43\"\n    }\n}", "", "", "trash", "closed", "closed", "", "52af091c-2660-4b9c-bdb8-dd55ef76b1fe", "", "", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=223", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n	margin: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=224", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.single .entry-content {\\n\\tmax-width: 640px;\\n/* \\tmargin: auto; */\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 01:54:44\"\n    }\n}", "", "", "trash", "closed", "closed", "", "453398f2-eedb-40b4-bbb8-aaae3c4624d3", "", "", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=225", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=226", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("227", "1", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.single .entry-content {\\n\\tmax-width: 640px;\\n/* \\tmargin: auto; */\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\\n\\n.post-image img {\\n    height: 360px;\\n    object-fit: cover;\\n    object-position: center;\\n}\\n\\n\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:23:42\"\n    }\n}", "", "", "trash", "closed", "closed", "", "383135e9-552c-463e-8ef4-ef7473a5cbd9", "", "", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/383135e9-552c-463e-8ef4-ef7473a5cbd9/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=228", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2023-06-11 02:48:10", "2023-06-11 02:48:10", "{\n    \"generate_settings[font_manager]\": {\n        \"value\": [\n            {\n                \"fontFamily\": \"Poppins\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"sans-serif\",\n                \"googleFontVariants\": \"100, 100italic, 200, 200italic, 300, 300italic, regular, italic, 500, 500italic, 600, 600italic, 700, 700italic, 800, 800italic, 900, 900italic\"\n            },\n            {\n                \"fontFamily\": \"Bitter\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"serif\",\n                \"googleFontVariants\": \"100, 200, 300, regular, 500, 600, 700, 800, 900, 100italic, 200italic, 300italic, italic, 500italic, 600italic, 700italic, 800italic, 900italic\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:47:23\"\n    },\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:46:23\"\n    },\n    \"nav_menu_item[42]\": {\n        \"value\": {\n            \"menu_item_parent\": 0,\n            \"object_id\": 5,\n            \"object\": \"category\",\n            \"type\": \"taxonomy\",\n            \"type_label\": \"Category\",\n            \"url\": \"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/category/food/\",\n            \"title\": \"\",\n            \"target\": \"\",\n            \"attr_title\": \"\",\n            \"description\": \"I love chickens.\",\n            \"classes\": \"\",\n            \"xfn\": \"\",\n            \"nav_menu_term_id\": 6,\n            \"position\": 2,\n            \"status\": \"publish\",\n            \"original_title\": \"Food\",\n            \"_invalid\": false\n        },\n        \"type\": \"nav_menu_item\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:48:10\"\n    }\n}", "", "", "trash", "closed", "closed", "", "5e495e36-0c71-48ba-9305-4eb9e370352f", "", "", "2023-06-11 02:48:10", "2023-06-11 02:48:10", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=230", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2023-06-11 02:49:49", "2023-06-11 02:49:49", "{\n    \"nav_menu_item[42]\": {\n        \"value\": false,\n        \"type\": \"nav_menu_item\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:49:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "bbdaf671-eb31-4e55-acfe-ca740213d002", "", "", "2023-06-11 02:49:49", "2023-06-11 02:49:49", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=231", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.single .entry-content {\\n\\tmax-width: 640px;\\n/* \\tmargin: auto; */\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\\n\\n.post-image img {\\n    height: 360px;\\n    object-fit: cover;\\n    object-position: center;\\n}\\n\\n\\n\\n\\n.main-navigation .main-nav ul li a {\\n\\tpadding-right: 0;\\n}\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 02:50:08\"\n    }\n}", "", "", "trash", "closed", "closed", "", "66d70e83-6176-4e32-8516-8b8521bc2cf9", "", "", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/66d70e83-6176-4e32-8516-8b8521bc2cf9/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=233", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2023-06-11 06:52:22", "2023-06-11 06:52:22", "{\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [\n            \"block-21\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:52:22\"\n    },\n    \"widget_block[21]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:generateblocks/image {\\\"uniqueId\\\":\\\"9fff54e2\\\",\\\"mediaId\\\":199,\\\"sizeSlug\\\":\\\"full\\\"} -->\\n<figure class=\\\"gb-block-image gb-block-image-9fff54e2\\\"><img class=\\\"gb-image gb-image-9fff54e2\\\" src=\\\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\\\" alt=\\\"\\\" title=\\\"cropped-generator-1-2-2.png\\\"/></figure>\\n<!-- /wp:generateblocks/image -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:52:22\"\n    }\n}", "", "", "trash", "closed", "closed", "", "78727e82-55f2-4012-a163-02b0a819b147", "", "", "2023-06-11 06:52:22", "2023-06-11 06:52:22", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/78727e82-55f2-4012-a163-02b0a819b147/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2023-06-11 06:54:50", "2023-06-11 06:54:50", "{\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [\n            \"block-22\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:53:44\"\n    },\n    \"widget_block[22]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:group {\\\"layout\\\":{\\\"type\\\":\\\"constrained\\\"}} -->\\n<div class=\\\"wp-block-group\\\"></div>\\n<!-- /wp:group -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:54:43\"\n    },\n    \"sidebars_widgets[footer-3]\": {\n        \"value\": [\n            \"block-23\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:54:43\"\n    },\n    \"widget_block[23]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:generateblocks/image {\\\"uniqueId\\\":\\\"9fff54e2\\\",\\\"mediaId\\\":199,\\\"sizeSlug\\\":\\\"medium\\\",\\\"alignment\\\":\\\"center\\\"} -->\\n<figure class=\\\"gb-block-image gb-block-image-9fff54e2\\\"><img class=\\\"gb-image gb-image-9fff54e2\\\" src=\\\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/cropped-generator-1-2-2-300x56.png\\\" alt=\\\"\\\" title=\\\"cropped-generator-1-2-2.png\\\"/></figure>\\n<!-- /wp:generateblocks/image -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:54:43\"\n    }\n}", "", "", "trash", "closed", "closed", "", "11cccc3b-48fa-4eb4-b111-90cb08a9cbb3", "", "", "2023-06-11 06:54:50", "2023-06-11 06:54:50", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=235", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("236", "1", "2023-06-11 06:58:17", "2023-06-11 06:58:17", "{\n    \"generate_settings[footer_widget_setting]\": {\n        \"value\": \"1\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:58:17\"\n    },\n    \"generate_settings[footer_bar_alignment]\": {\n        \"value\": \"center\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:58:17\"\n    },\n    \"generate_settings[back_to_top]\": {\n        \"value\": \"enable\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:58:17\"\n    }\n}", "", "", "trash", "closed", "closed", "", "d2f443fb-7a2d-4190-832a-66327b93d7ea", "", "", "2023-06-11 06:58:17", "2023-06-11 06:58:17", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/d2f443fb-7a2d-4190-832a-66327b93d7ea/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2023-06-11 07:04:51", "2023-06-11 07:04:51", "{\n    \"widget_block[22]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:group {\\\"backgroundColor\\\":\\\"base-3\\\",\\\"layout\\\":{\\\"type\\\":\\\"flex\\\",\\\"orientation\\\":\\\"vertical\\\",\\\"justifyContent\\\":\\\"center\\\"}} -->\\n<div class=\\\"wp-block-group has-base-3-background-color has-background\\\"></div>\\n<!-- /wp:group -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:59:06\"\n    },\n    \"sidebars_widgets[footer-bar]\": {\n        \"value\": [\n            \"block-22\"\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 06:59:20\"\n    },\n    \"generate_settings[footer_background_color]\": {\n        \"value\": \"var(--base-3)\",\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 07:04:51\"\n    }\n}", "", "", "trash", "closed", "closed", "", "8ebab195-6708-4e56-bd7b-abc1f7b460c1", "", "", "2023-06-11 07:04:51", "2023-06-11 07:04:51", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=237", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("238", "1", "2023-06-11 07:06:26", "2023-06-11 07:06:26", "{\n    \"widget_block[22]\": {\n        \"value\": {\n            \"raw_instance\": {\n                \"content\": \"<!-- wp:group {\\\"backgroundColor\\\":\\\"base-3\\\",\\\"layout\\\":{\\\"type\\\":\\\"flex\\\",\\\"orientation\\\":\\\"vertical\\\",\\\"justifyContent\\\":\\\"center\\\"}} -->\\n<div class=\\\"wp-block-group has-base-3-background-color has-background\\\"><!-- wp:image {\\\"id\\\":199,\\\"sizeSlug\\\":\\\"full\\\",\\\"linkDestination\\\":\\\"none\\\"} -->\\n<figure class=\\\"wp-block-image size-full\\\"><img src=\\\"http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\\\" alt=\\\"\\\" class=\\\"wp-image-199\\\"/></figure>\\n<!-- /wp:image --></div>\\n<!-- /wp:group -->\"\n            }\n        },\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 07:06:14\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b21150de-116e-40b3-b252-e728cec4734f", "", "", "2023-06-11 07:06:26", "2023-06-11 07:06:26", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=238", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "ian-dooley-_-JR5TxKNSo-unsplash", "", "inherit", "open", "closed", "", "ian-dooley-_-jr5txknso-unsplash", "", "", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/ian-dooley-_-JR5TxKNSo-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "felipepelaquim-1qvUsVrKrMI-unsplash", "", "inherit", "open", "closed", "", "felipepelaquim-1qvusvrkrmi-unsplash", "", "", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "sidekix-media-d5vYKvzD_kw-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-d5vykvzd_kw-unsplash", "", "", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "sophia-kunkel-F84XvXyEYk4-unsplash", "", "inherit", "open", "closed", "", "sophia-kunkel-f84xvxyeyk4-unsplash", "", "", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "becca-tapert-p6h5U-ns9o0-unsplash", "", "inherit", "open", "closed", "", "becca-tapert-p6h5u-ns9o0-unsplash", "", "", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "guven-gunes-1P1f8zPF4PM-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-1p1f8zpf4pm-unsplash", "", "", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "sidekix-media-zLT3VqWEgOQ-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-zlt3vqwegoq-unsplash", "", "", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "sidekix-media-lrk0l9w8rI0-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-lrk0l9w8ri0-unsplash", "", "", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "sidekix-media-l6u4GIKvxBs-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-l6u4gikvxbs-unsplash", "", "", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "angelo-pantazis-N4wUsqIbMAM-unsplash", "", "inherit", "open", "closed", "", "angelo-pantazis-n4wusqibmam-unsplash", "", "", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "publish", "open", "open", "", "non-asperiores", "", "", "2023-06-11 17:33:48", "2023-06-11 17:33:48", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=249", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2023-06-11 17:23:38", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-06-11 17:23:38", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=250", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "249-revision-v1", "", "", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "", "249", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=251", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2023-06-11 17:25:02", "2023-06-11 17:25:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Rerum illo aut", "", "publish", "open", "open", "", "rerum-illo-aut", "", "", "2023-06-11 17:32:23", "2023-06-11 17:32:23", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=252", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2023-06-11 17:25:05", "2023-06-11 17:25:05", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Eum alias cupiditate", "", "publish", "open", "open", "", "eum-alias-cupiditate", "", "", "2023-06-11 17:32:13", "2023-06-11 17:32:13", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=253", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2021-06-11 17:25:14", "2021-06-11 17:25:14", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod molestiae qui", "", "publish", "open", "open", "", "quod-molestiae-qui", "", "", "2023-06-11 17:32:00", "2023-06-11 17:32:00", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=254", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("255", "1", "2020-06-11 17:25:23", "2020-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut earum consequatur", "", "publish", "open", "open", "", "ut-earum-consequatur", "", "", "2023-06-11 17:31:27", "2023-06-11 17:31:27", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=255", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("256", "1", "2023-02-11 17:25:23", "2023-02-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Aut internos", "", "publish", "open", "open", "", "aut-internos", "", "", "2023-06-11 17:31:37", "2023-06-11 17:31:37", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=256", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2022-06-11 17:25:23", "2022-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Est voluptatum incidunt", "", "publish", "open", "open", "", "est-voluptatum-incidunt", "", "", "2023-06-11 17:31:48", "2023-06-11 17:31:48", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=257", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("258", "1", "2021-06-11 17:25:34", "2021-06-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod dolorum eum", "", "publish", "open", "open", "", "non-asperiores-2", "", "", "2023-06-12 20:50:26", "2023-06-12 20:50:26", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=258", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("259", "1", "2023-06-01 17:25:34", "2023-06-01 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut praesentium animi", "", "publish", "open", "open", "", "ut-praesentium-animi", "", "", "2023-06-12 20:51:29", "2023-06-12 20:51:29", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=259", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("260", "1", "2022-02-11 17:25:34", "2022-02-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quo modi laudantium", "", "publish", "open", "open", "", "quo-modi-laudantium", "", "", "2023-06-11 17:31:19", "2023-06-11 17:31:19", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=260", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "", "258", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=261", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Rerum illo aut", "", "inherit", "closed", "closed", "", "252-revision-v1", "", "", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "", "252", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=262", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Eum alias cupiditate", "", "inherit", "closed", "closed", "", "253-revision-v1", "", "", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "", "253", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=263", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod molestiae qui", "", "inherit", "closed", "closed", "", "254-revision-v1", "", "", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "", "254", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=264", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Est voluptatum incidunt", "", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "", "257", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=265", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Aut internos", "", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "", "256", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=266", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut earum consequatur", "", "inherit", "closed", "closed", "", "255-revision-v1", "", "", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "", "255", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=267", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quo modi laudantium", "", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "", "260", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=268", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut praesentium animi", "", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "", "259", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=269", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod dolorum eum", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "", "258", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=270", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2023-06-11 17:38:52", "2023-06-11 17:38:52", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"uppercase\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 17:38:44\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b8f420e6-465c-45ad-b453-85b06edbb69f", "", "", "2023-06-11 17:38:52", "2023-06-11 17:38:52", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=273", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2023-06-11 17:40:30", "2023-06-11 17:40:30", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Bitter\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"uppercase\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 17:40:30\"\n    }\n}", "", "", "trash", "closed", "closed", "", "741e0005-f9b7-49c3-8ece-70414d576516", "", "", "2023-06-11 17:40:30", "2023-06-11 17:40:30", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=274", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2023-06-11 19:02:51", "2023-06-11 19:02:51", "{\n    \"generate_settings[font_manager]\": {\n        \"value\": [\n            {\n                \"fontFamily\": \"Poppins\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"sans-serif\",\n                \"googleFontVariants\": \"100, 100italic, 200, 200italic, 300, 300italic, regular, italic, 500, 500italic, 600, 600italic, 700, 700italic, 800, 800italic, 900, 900italic\"\n            },\n            {\n                \"fontFamily\": \"Bitter\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"serif\",\n                \"googleFontVariants\": \"100, 200, 300, regular, 500, 600, 700, 800, 900, 100italic, 200italic, 300italic, italic, 500italic, 600italic, 700italic, 800italic, 900italic\"\n            },\n            {\n                \"fontFamily\": \"Neuton\",\n                \"googleFont\": true,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"serif\",\n                \"googleFontVariants\": \"200, 300, regular, italic, 700, 800\"\n            },\n            {\n                \"fontFamily\": \"\",\n                \"googleFont\": false,\n                \"googleFontApi\": 1,\n                \"googleFontCategory\": \"\",\n                \"googleFontVariants\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 18:14:54\"\n    },\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Archivo Narrow\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:02:51\"\n    }\n}", "", "", "trash", "closed", "closed", "", "8478b4db-34af-4104-a5ae-5657c3a6ea35", "", "", "2023-06-11 19:02:51", "2023-06-11 19:02:51", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=275", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2023-06-11 19:04:05", "2023-06-11 19:04:05", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Archivo Narrow\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:04:05\"\n    }\n}", "", "", "trash", "closed", "closed", "", "18b86eb4-ef38-4bd6-a113-9f41e79bdb17", "", "", "2023-06-11 19:04:05", "2023-06-11 19:04:05", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/18b86eb4-ef38-4bd6-a113-9f41e79bdb17/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("277", "1", "2023-06-11 19:04:47", "2023-06-11 19:04:47", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Archivo Narrow\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:04:47\"\n    }\n}", "", "", "trash", "closed", "closed", "", "33d40d20-7e3f-4ba3-af78-e4344e5473f2", "", "", "2023-06-11 19:04:47", "2023-06-11 19:04:47", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/33d40d20-7e3f-4ba3-af78-e4344e5473f2/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2023-06-11 19:05:46", "2023-06-11 19:05:46", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:05:46\"\n    }\n}", "", "", "trash", "closed", "closed", "", "822df6d7-082d-4bba-b537-acc7ba9e88ec", "", "", "2023-06-11 19:05:46", "2023-06-11 19:05:46", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=278", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2023-06-11 19:06:11", "2023-06-11 19:06:11", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"40\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:06:11\"\n    }\n}", "", "", "trash", "closed", "closed", "", "c8a0a92a-9abd-47ae-8d6b-da338bafb5b4", "", "", "2023-06-11 19:06:11", "2023-06-11 19:06:11", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/c8a0a92a-9abd-47ae-8d6b-da338bafb5b4/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("280", "1", "2023-06-11 19:06:26", "2023-06-11 19:06:26", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"5\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"rem\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:06:26\"\n    }\n}", "", "", "trash", "closed", "closed", "", "d7b175d1-7eac-4d98-9767-c359cc881995", "", "", "2023-06-11 19:06:26", "2023-06-11 19:06:26", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/d7b175d1-7eac-4d98-9767-c359cc881995/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("281", "1", "2023-06-11 19:07:32", "2023-06-11 19:07:32", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"5\",\n                \"fontSizeTablet\": \"3\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"rem\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"2\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"0\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:07:32\"\n    }\n}", "", "", "trash", "closed", "closed", "", "26fe3a41-9393-406b-8efa-003d82c495e2", "", "", "2023-06-11 19:07:32", "2023-06-11 19:07:32", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/26fe3a41-9393-406b-8efa-003d82c495e2/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2023-06-11 19:07:49", "2023-06-11 19:07:49", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"5\",\n                \"fontSizeTablet\": \"3\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"rem\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"0\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"0\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:07:49\"\n    }\n}", "", "", "trash", "closed", "closed", "", "9a4b6611-77f9-4616-a7e1-fb478c238049", "", "", "2023-06-11 19:07:49", "2023-06-11 19:07:49", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/9a4b6611-77f9-4616-a7e1-fb478c238049/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2023-06-11 19:09:35", "2023-06-11 19:09:35", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"1.4\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0,\n                \"marginBottom\": \"1.5\"\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"5\",\n                \"fontSizeTablet\": \"3\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"rem\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"0\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"0\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 3,\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            },\n            {\n                \"selector\": \"primary-menu-items\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"index\": 4,\n                \"module\": \"core\",\n                \"group\": \"primaryNavigation\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\"\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:08:39\"\n    }\n}", "", "", "trash", "closed", "closed", "", "377349d4-ad46-4749-b6f4-9bc6e27532f6", "", "", "2023-06-11 19:09:35", "2023-06-11 19:09:35", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=283", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\\n.home.page-template-default  .entry-title {\\n\\tdisplay: none;\\n}\\n\\n.blog .entry-summary,\\n.archive .entry-summary,\\n.archive footer.entry-meta,\\n.blog footer.entry-meta {\\n\\tmax-width: 640px;\\n\\tmargin-left: auto;\\n\\tmargin-right: auto;\\n}\\n\\n.single .entry-content {\\n\\tmax-width: 640px;\\n/* \\tmargin: auto; */\\n}\\n\\n/* .blog article:nth-of-type(odd) .entry-summary,\\n.blog article:nth-of-type(odd) footer.entry-meta {\\n\\tmargin-left: unset;\\n} */\\n\\n@media screen and (min-width: 900px) {\\n\\t\\n\\t.blog .entry-summary,\\n.archive .entry-summary,\\n\\t.archive footer.entry-meta,\\n\\t.blog footer.entry-meta {\\n\\t\\tmargin-right: unset;\\n\\t}\\n\\t\\n}\\n\\n\\n\\n.blog article::after {\\n\\tcontent: \\\" \\\";\\n\\tdisplay: block;\\n\\tborder-bottom: 1px solid #ddd;\\n\\tmax-width: 200px;\\n\\tmargin-top: 4rem;\\n/* \\tmargin-left: auto;\\n\\tmargin-right: auto; */\\n\\tborder-radius: 4px;\\n}\\n\\n.featured-image img,\\n.post-image img {\\n    height: 360px;\\n    object-fit: cover;\\n    object-position: center;\\n}\\n\\n\\n\\n\\n.main-navigation .main-nav ul li a {\\n\\tpadding-right: 0;\\n}\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:11:08\"\n    }\n}", "", "", "trash", "closed", "closed", "", "db25e003-69b9-4eaf-9b56-369a37da0914", "", "", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/db25e003-69b9-4eaf-9b56-369a37da0914/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n.featured-image img,\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=285", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("286", "1", "2023-06-11 19:22:15", "2023-06-11 19:22:15", "{\n    \"generate_settings[typography]\": {\n        \"value\": [\n            {\n                \"selector\": \"body\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 20,\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": 1.4,\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": 1.5,\n                \"marginBottomUnit\": \"em\",\n                \"module\": \"core\",\n                \"group\": \"base\",\n                \"index\": 0\n            },\n            {\n                \"selector\": \"all-headings\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottomUnit\": \"px\",\n                \"module\": \"core\",\n                \"group\": \"content\",\n                \"index\": 1\n            },\n            {\n                \"selector\": \"main-title\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"header\",\n                \"index\": 2\n            },\n            {\n                \"selector\": \"custom\",\n                \"customSelector\": \".page-title\",\n                \"fontFamily\": \"Neuton\",\n                \"fontWeight\": \"700\",\n                \"textTransform\": \"initial\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": 5,\n                \"fontSizeTablet\": 3,\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"rem\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": 0,\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": 0,\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"other\",\n                \"index\": 3\n            },\n            {\n                \"selector\": \"primary-menu-items\",\n                \"customSelector\": \"\",\n                \"fontFamily\": \"Poppins\",\n                \"fontWeight\": \"\",\n                \"textTransform\": \"\",\n                \"textDecoration\": \"\",\n                \"fontStyle\": \"\",\n                \"fontSize\": \"\",\n                \"fontSizeTablet\": \"\",\n                \"fontSizeMobile\": \"\",\n                \"fontSizeUnit\": \"px\",\n                \"lineHeight\": \"\",\n                \"lineHeightTablet\": \"\",\n                \"lineHeightMobile\": \"\",\n                \"lineHeightUnit\": \"\",\n                \"letterSpacing\": \"\",\n                \"letterSpacingTablet\": \"\",\n                \"letterSpacingMobile\": \"\",\n                \"letterSpacingUnit\": \"px\",\n                \"marginBottom\": \"\",\n                \"marginBottomTablet\": \"\",\n                \"marginBottomMobile\": \"\",\n                \"marginBottomUnit\": \"\",\n                \"module\": \"core\",\n                \"group\": \"primaryNavigation\",\n                \"index\": 4\n            }\n        ],\n        \"type\": \"option\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-11 19:22:15\"\n    }\n}", "", "", "trash", "closed", "closed", "", "06ceabb0-a3d0-4074-82dc-52e43fe4fc5a", "", "", "2023-06-11 19:22:15", "2023-06-11 19:22:15", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/06ceabb0-a3d0-4074-82dc-52e43fe4fc5a/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/11/header/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "image-1", "", "inherit", "open", "closed", "", "image-1", "", "", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-1.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "image-2", "", "inherit", "open", "closed", "", "image-2", "", "", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "image-3", "", "inherit", "open", "closed", "", "image-3", "", "", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "image-8", "", "inherit", "open", "closed", "", "image-8", "", "", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-8.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "image-13", "", "inherit", "open", "closed", "", "image-13", "", "", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-13.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "image-15", "", "inherit", "open", "closed", "", "image-15", "", "", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-15.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "image-16", "", "inherit", "open", "closed", "", "image-16", "", "", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-16.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "image-18", "", "inherit", "open", "closed", "", "image-18", "", "", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-18.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "image-20", "", "inherit", "open", "closed", "", "image-20", "", "", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-20.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "image-23", "", "inherit", "open", "closed", "", "image-23", "", "", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/image-23.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "christophe-rollando-UqJ9r4ptgQ8-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-uqj9r4ptgq8-unsplash-2", "", "", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/wp-content/uploads/2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "{\n    \"custom_css[generatepress]\": {\n        \"value\": \"\",\n        \"type\": \"custom_css\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2023-06-15 06:35:04\"\n    }\n}", "", "", "trash", "closed", "closed", "", "b5588ba7-165e-48a7-9ed3-f0a6ab2f50e4", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "0", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/2023/06/15/b5588ba7-165e-48a7-9ed3-f0a6ab2f50e4/", "0", "customize_changeset", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "118", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023/?p=309", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("15", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("16", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("17", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("18", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("19", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("20", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("21", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("22", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("24", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("25", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("26", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("249", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("252", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("253", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("254", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("255", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("256", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("257", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("258", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("259", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("260", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("295", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "8", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "category", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "Politics", "politics", "0");
INSERT INTO `wp_terms` VALUES("3", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("4", "Movies", "movies", "0");
INSERT INTO `wp_terms` VALUES("5", "Food", "food", "0");
INSERT INTO `wp_terms` VALUES("7", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("8", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("9", "Uncategorized", "uncategorized", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "4");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings", "libraryContent=browse");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings-time", "1686379133");
INSERT INTO `wp_usermeta` VALUES("20", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:15:\"title-attribute\";i:2;s:11:\"css-classes\";i:3;s:3:\"xfn\";}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:12:\"add-post_tag\";i:1;s:15:\"add-post_format\";}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_wpse_sheet_sessions", "a:1:{s:4:\"post\";a:0:{}}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wpse_has_saved_sheet", "1");
INSERT INTO `wp_usermeta` VALUES("24", "1", "generateblocks_onboarding", "a:1:{s:22:\"insert_inner_container\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "wp_persisted_preferences", "a:5:{s:14:\"core/edit-post\";a:15:{s:12:\"welcomeGuide\";b:0;s:16:\"hiddenBlockTypes\";a:0:{}s:10:\"editorMode\";s:6:\"visual\";s:24:\"preferredStyleVariations\";a:0:{}s:14:\"inactivePanels\";a:1:{i:0;s:16:\"discussion-panel\";}s:10:\"openPanels\";a:7:{i:0;s:23:\"taxonomy-panel-post_tag\";i:1;s:9:\"post-link\";i:2;s:23:\"taxonomy-panel-category\";i:3;s:15:\"page-attributes\";i:4;s:11:\"post-status\";i:5;s:24:\"yoast-seo/document-panel\";i:6;s:14:\"featured-image\";}s:23:\"isPublishSidebarEnabled\";b:0;s:9:\"focusMode\";b:0;s:14:\"fullscreenMode\";b:0;s:11:\"pinnedItems\";a:1:{s:32:\"kadence-control/kadence-controls\";b:1;}s:26:\"isComplementaryAreaVisible\";b:1;s:20:\"welcomeGuideTemplate\";b:0;s:30:\"disableEditorsKitColorsFormats\";b:1;s:33:\"disableEditorsKitHighlightFormats\";b:1;s:21:\"showListViewByDefault\";b:1;}s:17:\"core/edit-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:26:\"isComplementaryAreaVisible\";b:1;}s:22:\"core/customize-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:12:\"fixedToolbar\";b:1;}s:14:\"core/edit-site\";a:7:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;s:12:\"fixedToolbar\";b:0;s:9:\"focusMode\";b:0;s:10:\"editorMode\";s:6:\"visual\";s:26:\"isComplementaryAreaVisible\";b:1;s:21:\"showListViewByDefault\";b:1;}s:9:\"_modified\";s:24:\"2023-06-11T17:33:36.199Z\";}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "session_tokens", "a:1:{s:64:\"699c31335c9dd2f1eb21218f6320692a8df6f7d78203e66eaedb6ea6a3d99b6a\";a:4:{s:10:\"expiration\";i:1686870811;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36\";s:5:\"login\";i:1686698011;}}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "nav_menu_recently_edited", "6");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BnljY0x39PmpjyM6rJmWZNXFlZYrhh1", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/exams/midterms-summer-2023/starter-content-2023", "2023-06-10 06:24:06", "", "0", "kevinmcmillan");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-06-15 06:41:04*/
/* DUPLICATOR_MYSQLDUMP_EOF */
